extends Node2D

var q_Navigation2D : Navigation2D = Navigation2D.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_Navigation2D.queue_free()
		return

	add_child(q_Navigation2D)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Navigation2D.queue_free()
		q_Navigation2D = Navigation2D.new()
		add_child(q_Navigation2D)

	modify_object(q_Navigation2D)

static func modify_object(q_Navigation2D : Navigation2D) -> void:
	if randi() % 2 == 0:
		print("Executing Navigation2D.navpoly_add")
		var variable1: NavigationPolygon = NavigationPolygon.new()
		var variable2: Transform2D = Transform2D(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)))
		var variable3: CheckBox = CheckBox.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Navigation2D.navpoly_add(variable1, variable2, variable3)
		variable3.queue_free()

	if randi() % 2 == 0:
		print("Executing Navigation2D.navpoly_set_transform")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Transform2D = Transform2D(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Navigation2D.navpoly_set_transform(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Navigation2D.navpoly_remove")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Navigation2D.navpoly_remove(variable1)

	if randi() % 2 == 0:
		print("Executing Navigation2D.get_simple_path")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable3: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Navigation2D.get_simple_path(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Navigation2D.get_closest_point_owner")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Navigation2D.get_closest_point_owner(variable1)

	pass

