extends Node2D

var q_TileMap : TileMap = TileMap.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_TileMap.queue_free()
		return

	add_child(q_TileMap)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_TileMap.queue_free()
		q_TileMap = TileMap.new()
		add_child(q_TileMap)

	modify_object(q_TileMap)

static func modify_object(q_TileMap : TileMap) -> void:
	if randi() % 2 == 0:
		print("Executing TileMap.set_tileset")
		var variable1: TileSet = TileSet.new()
		print("Parameters[" + str(variable1) + "]")
		q_TileMap.set_tileset(variable1)

	if randi() % 2 == 0:
		print("Executing TileMap.get_tileset")
		print("Parameters[]")
		q_TileMap.get_tileset()

	if randi() % 2 == 0:
		print("Executing TileMap.set_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TileMap.set_mode(variable1)

	if randi() % 2 == 0:
		print("Executing TileMap.get_mode")
		print("Parameters[]")
		q_TileMap.get_mode()

	if randi() % 2 == 0:
		print("Executing TileMap.set_half_offset")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TileMap.set_half_offset(variable1)

	if randi() % 2 == 0:
		print("Executing TileMap.get_half_offset")
		print("Parameters[]")
		q_TileMap.get_half_offset()

	if randi() % 2 == 0:
		print("Executing TileMap.set_custom_transform")
		var variable1: Transform2D = Transform2D(Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)))
		print("Parameters[" + str(variable1) + "]")
		q_TileMap.set_custom_transform(variable1)

	if randi() % 2 == 0:
		print("Executing TileMap.get_custom_transform")
		print("Parameters[]")
		q_TileMap.get_custom_transform()

	if randi() % 2 == 0:
		print("Executing TileMap.set_cell_size")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_TileMap.set_cell_size(variable1)

	if randi() % 2 == 0:
		print("Executing TileMap.get_cell_size")
		print("Parameters[]")
		q_TileMap.get_cell_size()

	if randi() % 2 == 0:
		print("Executing TileMap._set_old_cell_size")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TileMap._set_old_cell_size(variable1)

	if randi() % 2 == 0:
		print("Executing TileMap._get_old_cell_size")
		print("Parameters[]")
		q_TileMap._get_old_cell_size()

	if randi() % 2 == 0:
		print("Executing TileMap.set_quadrant_size")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TileMap.set_quadrant_size(variable1)

	if randi() % 2 == 0:
		print("Executing TileMap.get_quadrant_size")
		print("Parameters[]")
		q_TileMap.get_quadrant_size()

	if randi() % 2 == 0:
		print("Executing TileMap.set_tile_origin")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TileMap.set_tile_origin(variable1)

	if randi() % 2 == 0:
		print("Executing TileMap.get_tile_origin")
		print("Parameters[]")
		q_TileMap.get_tile_origin()

	if randi() % 2 == 0:
		print("Executing TileMap.set_clip_uv")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TileMap.set_clip_uv(variable1)

	if randi() % 2 == 0:
		print("Executing TileMap.get_clip_uv")
		print("Parameters[]")
		q_TileMap.get_clip_uv()

	if randi() % 2 == 0:
		print("Executing TileMap.set_y_sort_mode")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TileMap.set_y_sort_mode(variable1)

	if randi() % 2 == 0:
		print("Executing TileMap.is_y_sort_mode_enabled")
		print("Parameters[]")
		q_TileMap.is_y_sort_mode_enabled()

	if randi() % 2 == 0:
		print("Executing TileMap.set_compatibility_mode")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TileMap.set_compatibility_mode(variable1)

	if randi() % 2 == 0:
		print("Executing TileMap.is_compatibility_mode_enabled")
		print("Parameters[]")
		q_TileMap.is_compatibility_mode_enabled()

	if randi() % 2 == 0:
		print("Executing TileMap.set_show_collision")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TileMap.set_show_collision(variable1)

	if randi() % 2 == 0:
		print("Executing TileMap.is_show_collision_enabled")
		print("Parameters[]")
		q_TileMap.is_show_collision_enabled()

	if randi() % 2 == 0:
		print("Executing TileMap.set_centered_textures")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TileMap.set_centered_textures(variable1)

	if randi() % 2 == 0:
		print("Executing TileMap.is_centered_textures_enabled")
		print("Parameters[]")
		q_TileMap.is_centered_textures_enabled()

	if randi() % 2 == 0:
		print("Executing TileMap.set_collision_use_kinematic")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TileMap.set_collision_use_kinematic(variable1)

	if randi() % 2 == 0:
		print("Executing TileMap.get_collision_use_kinematic")
		print("Parameters[]")
		q_TileMap.get_collision_use_kinematic()

	if randi() % 2 == 0:
		print("Executing TileMap.set_collision_use_parent")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_TileMap.set_collision_use_parent(variable1)

	if randi() % 2 == 0:
		print("Executing TileMap.get_collision_use_parent")
		print("Parameters[]")
		q_TileMap.get_collision_use_parent()

	if randi() % 2 == 0:
		print("Executing TileMap.set_collision_layer")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TileMap.set_collision_layer(variable1)

	if randi() % 2 == 0:
		print("Executing TileMap.get_collision_layer")
		print("Parameters[]")
		q_TileMap.get_collision_layer()

	if randi() % 2 == 0:
		print("Executing TileMap.set_collision_mask")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TileMap.set_collision_mask(variable1)

	if randi() % 2 == 0:
		print("Executing TileMap.get_collision_mask")
		print("Parameters[]")
		q_TileMap.get_collision_mask()

	if randi() % 2 == 0:
		print("Executing TileMap.set_collision_layer_bit")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TileMap.set_collision_layer_bit(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TileMap.get_collision_layer_bit")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TileMap.get_collision_layer_bit(variable1)

	if randi() % 2 == 0:
		print("Executing TileMap.set_collision_mask_bit")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TileMap.set_collision_mask_bit(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TileMap.get_collision_mask_bit")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TileMap.get_collision_mask_bit(variable1)

	if randi() % 2 == 0:
		print("Executing TileMap.set_collision_friction")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TileMap.set_collision_friction(variable1)

	if randi() % 2 == 0:
		print("Executing TileMap.get_collision_friction")
		print("Parameters[]")
		q_TileMap.get_collision_friction()

	if randi() % 2 == 0:
		print("Executing TileMap.set_collision_bounce")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TileMap.set_collision_bounce(variable1)

	if randi() % 2 == 0:
		print("Executing TileMap.get_collision_bounce")
		print("Parameters[]")
		q_TileMap.get_collision_bounce()

	if randi() % 2 == 0:
		print("Executing TileMap.set_occluder_light_mask")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TileMap.set_occluder_light_mask(variable1)

	if randi() % 2 == 0:
		print("Executing TileMap.get_occluder_light_mask")
		print("Parameters[]")
		q_TileMap.get_occluder_light_mask()

	if randi() % 2 == 0:
		print("Executing TileMap.set_cell")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		var variable4: bool = bool(randi() % 2)
		var variable5: bool = bool(randi() % 2)
		var variable6: bool = bool(randi() % 2)
		var variable7: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + ", " + str(variable6) + ", " + str(variable7) + "]")
		q_TileMap.set_cell(variable1, variable2, variable3, variable4, variable5, variable6, variable7)

	if randi() % 2 == 0:
		print("Executing TileMap.set_cellv")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: bool = bool(randi() % 2)
		var variable4: bool = bool(randi() % 2)
		var variable5: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + "]")
		q_TileMap.set_cellv(variable1, variable2, variable3, variable4, variable5)

	if randi() % 2 == 0:
		print("Executing TileMap._set_celld")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable2: Dictionary = {}
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TileMap._set_celld(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TileMap.get_cell")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TileMap.get_cell(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TileMap.get_cellv")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_TileMap.get_cellv(variable1)

	if randi() % 2 == 0:
		print("Executing TileMap.is_cell_x_flipped")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TileMap.is_cell_x_flipped(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TileMap.is_cell_y_flipped")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TileMap.is_cell_y_flipped(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TileMap.is_cell_transposed")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TileMap.is_cell_transposed(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TileMap.get_cell_autotile_coord")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TileMap.get_cell_autotile_coord(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TileMap.fix_invalid_tiles")
		print("Parameters[]")
		q_TileMap.fix_invalid_tiles()

	if randi() % 2 == 0:
		print("Executing TileMap.clear")
		print("Parameters[]")
		q_TileMap.clear()

	if randi() % 2 == 0:
		print("Executing TileMap.get_used_cells")
		print("Parameters[]")
		q_TileMap.get_used_cells()

	if randi() % 2 == 0:
		print("Executing TileMap.get_used_cells_by_id")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_TileMap.get_used_cells_by_id(variable1)

	if randi() % 2 == 0:
		print("Executing TileMap.get_used_rect")
		print("Parameters[]")
		q_TileMap.get_used_rect()

	if randi() % 2 == 0:
		print("Executing TileMap.map_to_world")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_TileMap.map_to_world(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing TileMap.world_to_map")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_TileMap.world_to_map(variable1)

	if randi() % 2 == 0:
		print("Executing TileMap._clear_quadrants")
		print("Parameters[]")
		q_TileMap._clear_quadrants()

	if randi() % 2 == 0:
		print("Executing TileMap._recreate_quadrants")
		print("Parameters[]")
		q_TileMap._recreate_quadrants()

	if randi() % 2 == 0:
		print("Executing TileMap.update_dirty_quadrants")
		print("Parameters[]")
		q_TileMap.update_dirty_quadrants()

	if randi() % 2 == 0:
		print("Executing TileMap.update_bitmask_area")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_TileMap.update_bitmask_area(variable1)

	if randi() % 2 == 0:
		print("Executing TileMap._get_tile_data")
		print("Parameters[]")
		q_TileMap._get_tile_data()

	pass

