extends Node2D

var q_BakedLightmap : BakedLightmap = BakedLightmap.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_BakedLightmap.queue_free()
		return

	add_child(q_BakedLightmap)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_BakedLightmap.queue_free()
		q_BakedLightmap = BakedLightmap.new()
		add_child(q_BakedLightmap)

	modify_object(q_BakedLightmap)

static func modify_object(q_BakedLightmap : BakedLightmap) -> void:
	if randi() % 2 == 0:
		print("Executing BakedLightmap.set_light_data")
		var variable1: BakedLightmapData = BakedLightmapData.new()
		print("Parameters[" + str(variable1) + "]")
		q_BakedLightmap.set_light_data(variable1)

	if randi() % 2 == 0:
		print("Executing BakedLightmap.get_light_data")
		print("Parameters[]")
		q_BakedLightmap.get_light_data()

	if randi() % 2 == 0:
		print("Executing BakedLightmap.set_bake_quality")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_BakedLightmap.set_bake_quality(variable1)

	if randi() % 2 == 0:
		print("Executing BakedLightmap.get_bake_quality")
		print("Parameters[]")
		q_BakedLightmap.get_bake_quality()

	if randi() % 2 == 0:
		print("Executing BakedLightmap.set_bounces")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_BakedLightmap.set_bounces(variable1)

	if randi() % 2 == 0:
		print("Executing BakedLightmap.get_bounces")
		print("Parameters[]")
		q_BakedLightmap.get_bounces()

	if randi() % 2 == 0:
		print("Executing BakedLightmap.set_bias")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_BakedLightmap.set_bias(variable1)

	if randi() % 2 == 0:
		print("Executing BakedLightmap.get_bias")
		print("Parameters[]")
		q_BakedLightmap.get_bias()

	if randi() % 2 == 0:
		print("Executing BakedLightmap.set_environment_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_BakedLightmap.set_environment_mode(variable1)

	if randi() % 2 == 0:
		print("Executing BakedLightmap.get_environment_mode")
		print("Parameters[]")
		q_BakedLightmap.get_environment_mode()

	if randi() % 2 == 0:
		print("Executing BakedLightmap.set_environment_custom_sky")
		var variable1: ProceduralSky = ProceduralSky.new()
		print("Parameters[" + str(variable1) + "]")
		q_BakedLightmap.set_environment_custom_sky(variable1)

	if randi() % 2 == 0:
		print("Executing BakedLightmap.get_environment_custom_sky")
		print("Parameters[]")
		q_BakedLightmap.get_environment_custom_sky()

	if randi() % 2 == 0:
		print("Executing BakedLightmap.set_environment_custom_sky_rotation_degrees")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_BakedLightmap.set_environment_custom_sky_rotation_degrees(variable1)

	if randi() % 2 == 0:
		print("Executing BakedLightmap.get_environment_custom_sky_rotation_degrees")
		print("Parameters[]")
		q_BakedLightmap.get_environment_custom_sky_rotation_degrees()

	if randi() % 2 == 0:
		print("Executing BakedLightmap.set_environment_custom_color")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_BakedLightmap.set_environment_custom_color(variable1)

	if randi() % 2 == 0:
		print("Executing BakedLightmap.get_environment_custom_color")
		print("Parameters[]")
		q_BakedLightmap.get_environment_custom_color()

	if randi() % 2 == 0:
		print("Executing BakedLightmap.set_environment_custom_energy")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_BakedLightmap.set_environment_custom_energy(variable1)

	if randi() % 2 == 0:
		print("Executing BakedLightmap.get_environment_custom_energy")
		print("Parameters[]")
		q_BakedLightmap.get_environment_custom_energy()

	if randi() % 2 == 0:
		print("Executing BakedLightmap.set_environment_min_light")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_BakedLightmap.set_environment_min_light(variable1)

	if randi() % 2 == 0:
		print("Executing BakedLightmap.get_environment_min_light")
		print("Parameters[]")
		q_BakedLightmap.get_environment_min_light()

	if randi() % 2 == 0:
		print("Executing BakedLightmap.set_use_denoiser")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_BakedLightmap.set_use_denoiser(variable1)

	if randi() % 2 == 0:
		print("Executing BakedLightmap.is_using_denoiser")
		print("Parameters[]")
		q_BakedLightmap.is_using_denoiser()

	if randi() % 2 == 0:
		print("Executing BakedLightmap.set_use_hdr")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_BakedLightmap.set_use_hdr(variable1)

	if randi() % 2 == 0:
		print("Executing BakedLightmap.is_using_hdr")
		print("Parameters[]")
		q_BakedLightmap.is_using_hdr()

	if randi() % 2 == 0:
		print("Executing BakedLightmap.set_use_color")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_BakedLightmap.set_use_color(variable1)

	if randi() % 2 == 0:
		print("Executing BakedLightmap.is_using_color")
		print("Parameters[]")
		q_BakedLightmap.is_using_color()

	if randi() % 2 == 0:
		print("Executing BakedLightmap.set_generate_atlas")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_BakedLightmap.set_generate_atlas(variable1)

	if randi() % 2 == 0:
		print("Executing BakedLightmap.is_generate_atlas_enabled")
		print("Parameters[]")
		q_BakedLightmap.is_generate_atlas_enabled()

	if randi() % 2 == 0:
		print("Executing BakedLightmap.set_max_atlas_size")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_BakedLightmap.set_max_atlas_size(variable1)

	if randi() % 2 == 0:
		print("Executing BakedLightmap.get_max_atlas_size")
		print("Parameters[]")
		q_BakedLightmap.get_max_atlas_size()

	if randi() % 2 == 0:
		print("Executing BakedLightmap.set_capture_quality")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_BakedLightmap.set_capture_quality(variable1)

	if randi() % 2 == 0:
		print("Executing BakedLightmap.get_capture_quality")
		print("Parameters[]")
		q_BakedLightmap.get_capture_quality()

	if randi() % 2 == 0:
		print("Executing BakedLightmap.set_extents")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_BakedLightmap.set_extents(variable1)

	if randi() % 2 == 0:
		print("Executing BakedLightmap.get_extents")
		print("Parameters[]")
		q_BakedLightmap.get_extents()

	if randi() % 2 == 0:
		print("Executing BakedLightmap.set_default_texels_per_unit")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_BakedLightmap.set_default_texels_per_unit(variable1)

	if randi() % 2 == 0:
		print("Executing BakedLightmap.get_default_texels_per_unit")
		print("Parameters[]")
		q_BakedLightmap.get_default_texels_per_unit()

	if randi() % 2 == 0:
		print("Executing BakedLightmap.set_capture_propagation")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_BakedLightmap.set_capture_propagation(variable1)

	if randi() % 2 == 0:
		print("Executing BakedLightmap.get_capture_propagation")
		print("Parameters[]")
		q_BakedLightmap.get_capture_propagation()

	if randi() % 2 == 0:
		print("Executing BakedLightmap.set_capture_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_BakedLightmap.set_capture_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing BakedLightmap.get_capture_enabled")
		print("Parameters[]")
		q_BakedLightmap.get_capture_enabled()

	if randi() % 2 == 0:
		print("Executing BakedLightmap.set_capture_cell_size")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_BakedLightmap.set_capture_cell_size(variable1)

	if randi() % 2 == 0:
		print("Executing BakedLightmap.get_capture_cell_size")
		print("Parameters[]")
		q_BakedLightmap.get_capture_cell_size()

	if randi() % 2 == 0:
		print("Executing BakedLightmap.set_image_path")
		var variable1: String = ""
		print("Parameters[" + str(variable1) + "]")
		q_BakedLightmap.set_image_path(variable1)

	if randi() % 2 == 0:
		print("Executing BakedLightmap.get_image_path")
		print("Parameters[]")
		q_BakedLightmap.get_image_path()

	pass

