extends Node2D

var q_Camera : Camera = Camera.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_Camera.queue_free()
		return

	add_child(q_Camera)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Camera.queue_free()
		q_Camera = Camera.new()
		add_child(q_Camera)

	modify_object(q_Camera)

static func modify_object(q_Camera : Camera) -> void:
	if randi() % 2 == 0:
		print("Executing Camera.project_ray_normal")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Camera.project_ray_normal(variable1)

	if randi() % 2 == 0:
		print("Executing Camera.project_local_ray_normal")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_Camera.project_local_ray_normal(variable1)

	if randi() % 2 == 0:
		print("Executing Camera.project_ray_origin")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Camera.project_ray_origin(variable1)

	if randi() % 2 == 0:
		print("Executing Camera.unproject_position")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Camera.unproject_position(variable1)

	if randi() % 2 == 0:
		print("Executing Camera.is_position_behind")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_Camera.is_position_behind(variable1)

	if randi() % 2 == 0:
		print("Executing Camera.project_position")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Camera.project_position(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Camera.set_perspective")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		var variable3: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Camera.set_perspective(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Camera.set_orthogonal")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		var variable3: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Camera.set_orthogonal(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Camera.set_frustum")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable3: float = (randf() * 10) - (10 / 2.0)
		var variable4: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_Camera.set_frustum(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing Camera.make_current")
		print("Parameters[]")
		q_Camera.make_current()

	if randi() % 2 == 0:
		print("Executing Camera.clear_current")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Camera.clear_current(variable1)

	if randi() % 2 == 0:
		print("Executing Camera.set_current")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Camera.set_current(variable1)

	if randi() % 2 == 0:
		print("Executing Camera.is_current")
		print("Parameters[]")
		q_Camera.is_current()

	if randi() % 2 == 0:
		print("Executing Camera.get_camera_transform")
		print("Parameters[]")
		q_Camera.get_camera_transform()

	if randi() % 2 == 0:
		print("Executing Camera.get_fov")
		print("Parameters[]")
		q_Camera.get_fov()

	if randi() % 2 == 0:
		print("Executing Camera.get_frustum_offset")
		print("Parameters[]")
		q_Camera.get_frustum_offset()

	if randi() % 2 == 0:
		print("Executing Camera.get_size")
		print("Parameters[]")
		q_Camera.get_size()

	if randi() % 2 == 0:
		print("Executing Camera.get_zfar")
		print("Parameters[]")
		q_Camera.get_zfar()

	if randi() % 2 == 0:
		print("Executing Camera.get_znear")
		print("Parameters[]")
		q_Camera.get_znear()

	if randi() % 2 == 0:
		print("Executing Camera.set_fov")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Camera.set_fov(variable1)

	if randi() % 2 == 0:
		print("Executing Camera.set_frustum_offset")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Camera.set_frustum_offset(variable1)

	if randi() % 2 == 0:
		print("Executing Camera.set_size")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Camera.set_size(variable1)

	if randi() % 2 == 0:
		print("Executing Camera.set_zfar")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Camera.set_zfar(variable1)

	if randi() % 2 == 0:
		print("Executing Camera.set_znear")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Camera.set_znear(variable1)

	if randi() % 2 == 0:
		print("Executing Camera.get_projection")
		print("Parameters[]")
		q_Camera.get_projection()

	if randi() % 2 == 0:
		print("Executing Camera.set_projection")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Camera.set_projection(variable1)

	if randi() % 2 == 0:
		print("Executing Camera.set_h_offset")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Camera.set_h_offset(variable1)

	if randi() % 2 == 0:
		print("Executing Camera.get_h_offset")
		print("Parameters[]")
		q_Camera.get_h_offset()

	if randi() % 2 == 0:
		print("Executing Camera.set_v_offset")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Camera.set_v_offset(variable1)

	if randi() % 2 == 0:
		print("Executing Camera.get_v_offset")
		print("Parameters[]")
		q_Camera.get_v_offset()

	if randi() % 2 == 0:
		print("Executing Camera.set_cull_mask")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Camera.set_cull_mask(variable1)

	if randi() % 2 == 0:
		print("Executing Camera.get_cull_mask")
		print("Parameters[]")
		q_Camera.get_cull_mask()

	if randi() % 2 == 0:
		print("Executing Camera.set_environment")
		var variable1: Environment = Environment.new()
		print("Parameters[" + str(variable1) + "]")
		q_Camera.set_environment(variable1)

	if randi() % 2 == 0:
		print("Executing Camera.get_environment")
		print("Parameters[]")
		q_Camera.get_environment()

	if randi() % 2 == 0:
		print("Executing Camera.set_keep_aspect_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Camera.set_keep_aspect_mode(variable1)

	if randi() % 2 == 0:
		print("Executing Camera.get_keep_aspect_mode")
		print("Parameters[]")
		q_Camera.get_keep_aspect_mode()

	if randi() % 2 == 0:
		print("Executing Camera.set_doppler_tracking")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Camera.set_doppler_tracking(variable1)

	if randi() % 2 == 0:
		print("Executing Camera.get_doppler_tracking")
		print("Parameters[]")
		q_Camera.get_doppler_tracking()

	if randi() % 2 == 0:
		print("Executing Camera.get_frustum")
		print("Parameters[]")
		q_Camera.get_frustum()

	if randi() % 2 == 0:
		print("Executing Camera.get_camera_rid")
		print("Parameters[]")
		q_Camera.get_camera_rid()

	if randi() % 2 == 0:
		print("Executing Camera.set_cull_mask_bit")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Camera.set_cull_mask_bit(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Camera.get_cull_mask_bit")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Camera.get_cull_mask_bit(variable1)

	pass

