extends Node2D

var q_ImmediateGeometry : ImmediateGeometry = ImmediateGeometry.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_ImmediateGeometry.queue_free()
		return

	add_child(q_ImmediateGeometry)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_ImmediateGeometry.queue_free()
		q_ImmediateGeometry = ImmediateGeometry.new()
		add_child(q_ImmediateGeometry)

	modify_object(q_ImmediateGeometry)

static func modify_object(q_ImmediateGeometry : ImmediateGeometry) -> void:
	if randi() % 2 == 0:
		print("Executing ImmediateGeometry.begin")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: ViewportTexture = ViewportTexture.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_ImmediateGeometry.begin(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing ImmediateGeometry.set_normal")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_ImmediateGeometry.set_normal(variable1)

	if randi() % 2 == 0:
		print("Executing ImmediateGeometry.set_tangent")
		var variable1: Plane = Plane(Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)))
		print("Parameters[" + str(variable1) + "]")
		q_ImmediateGeometry.set_tangent(variable1)

	if randi() % 2 == 0:
		print("Executing ImmediateGeometry.set_color")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_ImmediateGeometry.set_color(variable1)

	if randi() % 2 == 0:
		print("Executing ImmediateGeometry.set_uv")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_ImmediateGeometry.set_uv(variable1)

	if randi() % 2 == 0:
		print("Executing ImmediateGeometry.set_uv2")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_ImmediateGeometry.set_uv2(variable1)

	if randi() % 2 == 0:
		print("Executing ImmediateGeometry.end")
		print("Parameters[]")
		q_ImmediateGeometry.end()

	if randi() % 2 == 0:
		print("Executing ImmediateGeometry.clear")
		print("Parameters[]")
		q_ImmediateGeometry.clear()

	pass

