extends Node2D

var q_KinematicBody : KinematicBody = KinematicBody.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_KinematicBody.queue_free()
		return

	add_child(q_KinematicBody)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_KinematicBody.queue_free()
		q_KinematicBody = KinematicBody.new()
		add_child(q_KinematicBody)

	modify_object(q_KinematicBody)

static func modify_object(q_KinematicBody : KinematicBody) -> void:
	if randi() % 2 == 0:
		print("Executing KinematicBody.move_and_collide")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable2: bool = bool(randi() % 2)
		var variable3: bool = bool(randi() % 2)
		var variable4: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_KinematicBody.move_and_collide(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing KinematicBody.move_and_slide")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable2: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable3: bool = bool(randi() % 2)
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		var variable5: float = (randf() * 10) - (10 / 2.0)
		var variable6: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + ", " + str(variable6) + "]")
		q_KinematicBody.move_and_slide(variable1, variable2, variable3, variable4, variable5, variable6)

	if randi() % 2 == 0:
		print("Executing KinematicBody.move_and_slide_with_snap")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable2: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable3: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable4: bool = bool(randi() % 2)
		var variable5: int = (randi() % int(10)) - int(10 / 2.0)
		var variable6: float = (randf() * 10) - (10 / 2.0)
		var variable7: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + ", " + str(variable6) + ", " + str(variable7) + "]")
		q_KinematicBody.move_and_slide_with_snap(variable1, variable2, variable3, variable4, variable5, variable6, variable7)

	if randi() % 2 == 0:
		print("Executing KinematicBody.test_move")
		var variable1: Transform = Transform(Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)))
		var variable2: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable3: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_KinematicBody.test_move(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing KinematicBody.is_on_floor")
		print("Parameters[]")
		q_KinematicBody.is_on_floor()

	if randi() % 2 == 0:
		print("Executing KinematicBody.is_on_ceiling")
		print("Parameters[]")
		q_KinematicBody.is_on_ceiling()

	if randi() % 2 == 0:
		print("Executing KinematicBody.is_on_wall")
		print("Parameters[]")
		q_KinematicBody.is_on_wall()

	if randi() % 2 == 0:
		print("Executing KinematicBody.get_floor_normal")
		print("Parameters[]")
		q_KinematicBody.get_floor_normal()

	if randi() % 2 == 0:
		print("Executing KinematicBody.get_floor_velocity")
		print("Parameters[]")
		q_KinematicBody.get_floor_velocity()

	if randi() % 2 == 0:
		print("Executing KinematicBody.set_axis_lock")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_KinematicBody.set_axis_lock(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing KinematicBody.get_axis_lock")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_KinematicBody.get_axis_lock(variable1)

	if randi() % 2 == 0:
		print("Executing KinematicBody.set_safe_margin")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_KinematicBody.set_safe_margin(variable1)

	if randi() % 2 == 0:
		print("Executing KinematicBody.get_safe_margin")
		print("Parameters[]")
		q_KinematicBody.get_safe_margin()

	if randi() % 2 == 0:
		print("Executing KinematicBody.get_slide_count")
		print("Parameters[]")
		q_KinematicBody.get_slide_count()

	if randi() % 2 == 0:
		print("Executing KinematicBody.get_slide_collision")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_KinematicBody.get_slide_collision(variable1)

	if randi() % 2 == 0:
		print("Executing KinematicBody.set_sync_to_physics")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_KinematicBody.set_sync_to_physics(variable1)

	if randi() % 2 == 0:
		print("Executing KinematicBody.is_sync_to_physics_enabled")
		print("Parameters[]")
		q_KinematicBody.is_sync_to_physics_enabled()

	pass

