extends Node2D

var q_Navigation : Navigation = Navigation.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_Navigation.queue_free()
		return

	add_child(q_Navigation)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Navigation.queue_free()
		q_Navigation = Navigation.new()
		add_child(q_Navigation)

	modify_object(q_Navigation)

static func modify_object(q_Navigation : Navigation) -> void:
	if randi() % 2 == 0:
		print("Executing Navigation.navmesh_add")
		var variable1: NavigationMesh = NavigationMesh.new()
		var variable2: Transform = Transform(Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)))
		var variable3: VisualScriptPropertySet = VisualScriptPropertySet.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Navigation.navmesh_add(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Navigation.navmesh_set_transform")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Transform = Transform(Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Navigation.navmesh_set_transform(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Navigation.navmesh_remove")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Navigation.navmesh_remove(variable1)

	if randi() % 2 == 0:
		print("Executing Navigation.get_simple_path")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable2: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable3: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Navigation.get_simple_path(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Navigation.get_closest_point_to_segment")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable2: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable3: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Navigation.get_closest_point_to_segment(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Navigation.get_closest_point_normal")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Navigation.get_closest_point_normal(variable1)

	if randi() % 2 == 0:
		print("Executing Navigation.get_closest_point_owner")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_Navigation.get_closest_point_owner(variable1)

	if randi() % 2 == 0:
		print("Executing Navigation.set_up_vector")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Navigation.set_up_vector(variable1)

	if randi() % 2 == 0:
		print("Executing Navigation.get_up_vector")
		print("Parameters[]")
		q_Navigation.get_up_vector()

	pass

