extends Node2D

var q_PhysicalBone : PhysicalBone = PhysicalBone.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_PhysicalBone.queue_free()
		return

	add_child(q_PhysicalBone)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_PhysicalBone.queue_free()
		q_PhysicalBone = PhysicalBone.new()
		add_child(q_PhysicalBone)

	modify_object(q_PhysicalBone)

static func modify_object(q_PhysicalBone : PhysicalBone) -> void:
	if randi() % 2 == 0:
		print("Executing PhysicalBone.apply_central_impulse")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_PhysicalBone.apply_central_impulse(variable1)

	if randi() % 2 == 0:
		print("Executing PhysicalBone.apply_impulse")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable2: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_PhysicalBone.apply_impulse(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing PhysicalBone.set_joint_type")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PhysicalBone.set_joint_type(variable1)

	if randi() % 2 == 0:
		print("Executing PhysicalBone.get_joint_type")
		print("Parameters[]")
		q_PhysicalBone.get_joint_type()

	if randi() % 2 == 0:
		print("Executing PhysicalBone.set_joint_offset")
		var variable1: Transform = Transform(Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized())
		print("Parameters[" + str(variable1) + "]")
		q_PhysicalBone.set_joint_offset(variable1)

	if randi() % 2 == 0:
		print("Executing PhysicalBone.get_joint_offset")
		print("Parameters[]")
		q_PhysicalBone.get_joint_offset()

	if randi() % 2 == 0:
		print("Executing PhysicalBone.set_body_offset")
		var variable1: Transform = Transform(Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)))
		print("Parameters[" + str(variable1) + "]")
		q_PhysicalBone.set_body_offset(variable1)

	if randi() % 2 == 0:
		print("Executing PhysicalBone.get_body_offset")
		print("Parameters[]")
		q_PhysicalBone.get_body_offset()

	if randi() % 2 == 0:
		print("Executing PhysicalBone.is_static_body")
		print("Parameters[]")
		q_PhysicalBone.is_static_body()

	if randi() % 2 == 0:
		print("Executing PhysicalBone.get_simulate_physics")
		print("Parameters[]")
		q_PhysicalBone.get_simulate_physics()

	if randi() % 2 == 0:
		print("Executing PhysicalBone.is_simulating_physics")
		print("Parameters[]")
		q_PhysicalBone.is_simulating_physics()

	if randi() % 2 == 0:
		print("Executing PhysicalBone.get_bone_id")
		print("Parameters[]")
		q_PhysicalBone.get_bone_id()

	if randi() % 2 == 0:
		print("Executing PhysicalBone.set_mass")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PhysicalBone.set_mass(variable1)

	if randi() % 2 == 0:
		print("Executing PhysicalBone.get_mass")
		print("Parameters[]")
		q_PhysicalBone.get_mass()

	if randi() % 2 == 0:
		print("Executing PhysicalBone.set_weight")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PhysicalBone.set_weight(variable1)

	if randi() % 2 == 0:
		print("Executing PhysicalBone.get_weight")
		print("Parameters[]")
		q_PhysicalBone.get_weight()

	if randi() % 2 == 0:
		print("Executing PhysicalBone.set_friction")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PhysicalBone.set_friction(variable1)

	if randi() % 2 == 0:
		print("Executing PhysicalBone.get_friction")
		print("Parameters[]")
		q_PhysicalBone.get_friction()

	if randi() % 2 == 0:
		print("Executing PhysicalBone.set_bounce")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PhysicalBone.set_bounce(variable1)

	if randi() % 2 == 0:
		print("Executing PhysicalBone.get_bounce")
		print("Parameters[]")
		q_PhysicalBone.get_bounce()

	if randi() % 2 == 0:
		print("Executing PhysicalBone.set_gravity_scale")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PhysicalBone.set_gravity_scale(variable1)

	if randi() % 2 == 0:
		print("Executing PhysicalBone.get_gravity_scale")
		print("Parameters[]")
		q_PhysicalBone.get_gravity_scale()

	pass

