extends Node2D

var q_ReflectionProbe : ReflectionProbe = ReflectionProbe.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_ReflectionProbe.queue_free()
		return

	add_child(q_ReflectionProbe)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_ReflectionProbe.queue_free()
		q_ReflectionProbe = ReflectionProbe.new()
		add_child(q_ReflectionProbe)

	modify_object(q_ReflectionProbe)

static func modify_object(q_ReflectionProbe : ReflectionProbe) -> void:
	if randi() % 2 == 0:
		print("Executing ReflectionProbe.set_intensity")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ReflectionProbe.set_intensity(variable1)

	if randi() % 2 == 0:
		print("Executing ReflectionProbe.get_intensity")
		print("Parameters[]")
		q_ReflectionProbe.get_intensity()

	if randi() % 2 == 0:
		print("Executing ReflectionProbe.set_interior_ambient")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_ReflectionProbe.set_interior_ambient(variable1)

	if randi() % 2 == 0:
		print("Executing ReflectionProbe.get_interior_ambient")
		print("Parameters[]")
		q_ReflectionProbe.get_interior_ambient()

	if randi() % 2 == 0:
		print("Executing ReflectionProbe.set_interior_ambient_energy")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ReflectionProbe.set_interior_ambient_energy(variable1)

	if randi() % 2 == 0:
		print("Executing ReflectionProbe.get_interior_ambient_energy")
		print("Parameters[]")
		q_ReflectionProbe.get_interior_ambient_energy()

	if randi() % 2 == 0:
		print("Executing ReflectionProbe.set_interior_ambient_probe_contribution")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ReflectionProbe.set_interior_ambient_probe_contribution(variable1)

	if randi() % 2 == 0:
		print("Executing ReflectionProbe.get_interior_ambient_probe_contribution")
		print("Parameters[]")
		q_ReflectionProbe.get_interior_ambient_probe_contribution()

	if randi() % 2 == 0:
		print("Executing ReflectionProbe.set_max_distance")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ReflectionProbe.set_max_distance(variable1)

	if randi() % 2 == 0:
		print("Executing ReflectionProbe.get_max_distance")
		print("Parameters[]")
		q_ReflectionProbe.get_max_distance()

	if randi() % 2 == 0:
		print("Executing ReflectionProbe.set_extents")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_ReflectionProbe.set_extents(variable1)

	if randi() % 2 == 0:
		print("Executing ReflectionProbe.get_extents")
		print("Parameters[]")
		q_ReflectionProbe.get_extents()

	if randi() % 2 == 0:
		print("Executing ReflectionProbe.set_origin_offset")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_ReflectionProbe.set_origin_offset(variable1)

	if randi() % 2 == 0:
		print("Executing ReflectionProbe.get_origin_offset")
		print("Parameters[]")
		q_ReflectionProbe.get_origin_offset()

	if randi() % 2 == 0:
		print("Executing ReflectionProbe.set_as_interior")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_ReflectionProbe.set_as_interior(variable1)

	if randi() % 2 == 0:
		print("Executing ReflectionProbe.is_set_as_interior")
		print("Parameters[]")
		q_ReflectionProbe.is_set_as_interior()

	if randi() % 2 == 0:
		print("Executing ReflectionProbe.set_enable_box_projection")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_ReflectionProbe.set_enable_box_projection(variable1)

	if randi() % 2 == 0:
		print("Executing ReflectionProbe.is_box_projection_enabled")
		print("Parameters[]")
		q_ReflectionProbe.is_box_projection_enabled()

	if randi() % 2 == 0:
		print("Executing ReflectionProbe.set_enable_shadows")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_ReflectionProbe.set_enable_shadows(variable1)

	if randi() % 2 == 0:
		print("Executing ReflectionProbe.are_shadows_enabled")
		print("Parameters[]")
		q_ReflectionProbe.are_shadows_enabled()

	if randi() % 2 == 0:
		print("Executing ReflectionProbe.set_cull_mask")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ReflectionProbe.set_cull_mask(variable1)

	if randi() % 2 == 0:
		print("Executing ReflectionProbe.get_cull_mask")
		print("Parameters[]")
		q_ReflectionProbe.get_cull_mask()

	if randi() % 2 == 0:
		print("Executing ReflectionProbe.set_update_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_ReflectionProbe.set_update_mode(variable1)

	if randi() % 2 == 0:
		print("Executing ReflectionProbe.get_update_mode")
		print("Parameters[]")
		q_ReflectionProbe.get_update_mode()

	pass

