extends Node2D

var q_Skeleton : Skeleton = Skeleton.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_Skeleton.queue_free()
		return

	add_child(q_Skeleton)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Skeleton.queue_free()
		q_Skeleton = Skeleton.new()
		add_child(q_Skeleton)

	modify_object(q_Skeleton)

static func modify_object(q_Skeleton : Skeleton) -> void:
	if randi() % 2 == 0:
		print("Executing Skeleton.add_bone")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_Skeleton.add_bone(variable1)

	if randi() % 2 == 0:
		print("Executing Skeleton.find_bone")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_Skeleton.find_bone(variable1)

	if randi() % 2 == 0:
		print("Executing Skeleton.get_bone_name")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Skeleton.get_bone_name(variable1)

	if randi() % 2 == 0:
		print("Executing Skeleton.set_bone_name")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: String = "."
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Skeleton.set_bone_name(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Skeleton.get_bone_parent")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Skeleton.get_bone_parent(variable1)

	if randi() % 2 == 0:
		print("Executing Skeleton.set_bone_parent")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Skeleton.set_bone_parent(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Skeleton.get_bone_count")
		print("Parameters[]")
		q_Skeleton.get_bone_count()

	if randi() % 2 == 0:
		print("Executing Skeleton.unparent_bone_and_rest")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Skeleton.unparent_bone_and_rest(variable1)

	if randi() % 2 == 0:
		print("Executing Skeleton.get_bone_rest")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Skeleton.get_bone_rest(variable1)

	if randi() % 2 == 0:
		print("Executing Skeleton.set_bone_rest")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Transform = Transform(Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized())
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Skeleton.set_bone_rest(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Skeleton.register_skin")
		var variable1: Skin = Skin.new()
		print("Parameters[" + str(variable1) + "]")
		q_Skeleton.register_skin(variable1)

	if randi() % 2 == 0:
		print("Executing Skeleton.localize_rests")
		print("Parameters[]")
		q_Skeleton.localize_rests()

	if randi() % 2 == 0:
		print("Executing Skeleton.set_bone_disable_rest")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Skeleton.set_bone_disable_rest(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Skeleton.is_bone_rest_disabled")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Skeleton.is_bone_rest_disabled(variable1)

	if randi() % 2 == 0:
		print("Executing Skeleton.bind_child_node_to_bone")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: MenuButton = MenuButton.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Skeleton.bind_child_node_to_bone(variable1, variable2)
		variable2.queue_free()

	if randi() % 2 == 0:
		print("Executing Skeleton.unbind_child_node_from_bone")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Node2D = Node2D.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Skeleton.unbind_child_node_from_bone(variable1, variable2)
		variable2.queue_free()

	if randi() % 2 == 0:
		print("Executing Skeleton.get_bound_child_nodes_to_bone")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Skeleton.get_bound_child_nodes_to_bone(variable1)

	if randi() % 2 == 0:
		print("Executing Skeleton.clear_bones")
		print("Parameters[]")
		q_Skeleton.clear_bones()

	if randi() % 2 == 0:
		print("Executing Skeleton.get_bone_pose")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Skeleton.get_bone_pose(variable1)

	if randi() % 2 == 0:
		print("Executing Skeleton.set_bone_pose")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Transform = Transform(Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Skeleton.set_bone_pose(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Skeleton.clear_bones_global_pose_override")
		print("Parameters[]")
		q_Skeleton.clear_bones_global_pose_override()

	if randi() % 2 == 0:
		print("Executing Skeleton.set_bone_global_pose_override")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Transform = Transform(Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized())
		var variable3: float = (randf() * 10) - (10 / 2.0)
		var variable4: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_Skeleton.set_bone_global_pose_override(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing Skeleton.get_bone_global_pose")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Skeleton.get_bone_global_pose(variable1)

	if randi() % 2 == 0:
		print("Executing Skeleton.get_bone_global_pose_no_override")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Skeleton.get_bone_global_pose_no_override(variable1)

	if randi() % 2 == 0:
		print("Executing Skeleton.get_bone_custom_pose")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Skeleton.get_bone_custom_pose(variable1)

	if randi() % 2 == 0:
		print("Executing Skeleton.set_bone_custom_pose")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Transform = Transform(Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Skeleton.set_bone_custom_pose(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Skeleton.physical_bones_stop_simulation")
		print("Parameters[]")
		q_Skeleton.physical_bones_stop_simulation()

	if randi() % 2 == 0:
		print("Executing Skeleton.physical_bones_start_simulation")
		var variable1: Array = []
		print("Parameters[" + str(variable1) + "]")
		q_Skeleton.physical_bones_start_simulation(variable1)

	if randi() % 2 == 0:
		print("Executing Skeleton.physical_bones_add_collision_exception")
		var variable1: RID = RID()
		print("Parameters[" + str(variable1) + "]")
		q_Skeleton.physical_bones_add_collision_exception(variable1)

	if randi() % 2 == 0:
		print("Executing Skeleton.physical_bones_remove_collision_exception")
		var variable1: RID = RID()
		print("Parameters[" + str(variable1) + "]")
		q_Skeleton.physical_bones_remove_collision_exception(variable1)

	pass

