extends Node2D

var q_SoftBody : SoftBody = SoftBody.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_SoftBody.queue_free()
		return

	add_child(q_SoftBody)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_SoftBody.queue_free()
		q_SoftBody = SoftBody.new()
		add_child(q_SoftBody)

	modify_object(q_SoftBody)

static func modify_object(q_SoftBody : SoftBody) -> void:
	if randi() % 2 == 0:
		print("Executing SoftBody._draw_soft_mesh")
		print("Parameters[]")
		q_SoftBody._draw_soft_mesh()

	if randi() % 2 == 0:
		print("Executing SoftBody.set_physics_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_SoftBody.set_physics_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing SoftBody.is_physics_enabled")
		print("Parameters[]")
		q_SoftBody.is_physics_enabled()

	if randi() % 2 == 0:
		print("Executing SoftBody.set_collision_mask")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SoftBody.set_collision_mask(variable1)

	if randi() % 2 == 0:
		print("Executing SoftBody.get_collision_mask")
		print("Parameters[]")
		q_SoftBody.get_collision_mask()

	if randi() % 2 == 0:
		print("Executing SoftBody.set_collision_layer")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SoftBody.set_collision_layer(variable1)

	if randi() % 2 == 0:
		print("Executing SoftBody.get_collision_layer")
		print("Parameters[]")
		q_SoftBody.get_collision_layer()

	if randi() % 2 == 0:
		print("Executing SoftBody.set_collision_mask_bit")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_SoftBody.set_collision_mask_bit(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing SoftBody.get_collision_mask_bit")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SoftBody.get_collision_mask_bit(variable1)

	if randi() % 2 == 0:
		print("Executing SoftBody.set_collision_layer_bit")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_SoftBody.set_collision_layer_bit(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing SoftBody.get_collision_layer_bit")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SoftBody.get_collision_layer_bit(variable1)

	if randi() % 2 == 0:
		print("Executing SoftBody.set_parent_collision_ignore")
		var variable1: NodePath = NodePath(".")
		print("Parameters[" + str(variable1) + "]")
		q_SoftBody.set_parent_collision_ignore(variable1)

	if randi() % 2 == 0:
		print("Executing SoftBody.get_parent_collision_ignore")
		print("Parameters[]")
		q_SoftBody.get_parent_collision_ignore()

	if randi() % 2 == 0:
		print("Executing SoftBody.get_collision_exceptions")
		print("Parameters[]")
		q_SoftBody.get_collision_exceptions()

	if randi() % 2 == 0:
		print("Executing SoftBody.add_collision_exception_with")
		var variable1: GraphNode = GraphNode.new()
		print("Parameters[" + str(variable1) + "]")
		q_SoftBody.add_collision_exception_with(variable1)
		variable1.queue_free()

	if randi() % 2 == 0:
		print("Executing SoftBody.remove_collision_exception_with")
		var variable1: TabContainer = TabContainer.new()
		print("Parameters[" + str(variable1) + "]")
		q_SoftBody.remove_collision_exception_with(variable1)
		variable1.queue_free()

	if randi() % 2 == 0:
		print("Executing SoftBody.set_simulation_precision")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SoftBody.set_simulation_precision(variable1)

	if randi() % 2 == 0:
		print("Executing SoftBody.get_simulation_precision")
		print("Parameters[]")
		q_SoftBody.get_simulation_precision()

	if randi() % 2 == 0:
		print("Executing SoftBody.set_total_mass")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SoftBody.set_total_mass(variable1)

	if randi() % 2 == 0:
		print("Executing SoftBody.get_total_mass")
		print("Parameters[]")
		q_SoftBody.get_total_mass()

	if randi() % 2 == 0:
		print("Executing SoftBody.set_linear_stiffness")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SoftBody.set_linear_stiffness(variable1)

	if randi() % 2 == 0:
		print("Executing SoftBody.get_linear_stiffness")
		print("Parameters[]")
		q_SoftBody.get_linear_stiffness()

	if randi() % 2 == 0:
		print("Executing SoftBody.set_areaAngular_stiffness")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SoftBody.set_areaAngular_stiffness(variable1)

	if randi() % 2 == 0:
		print("Executing SoftBody.get_areaAngular_stiffness")
		print("Parameters[]")
		q_SoftBody.get_areaAngular_stiffness()

	if randi() % 2 == 0:
		print("Executing SoftBody.set_volume_stiffness")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SoftBody.set_volume_stiffness(variable1)

	if randi() % 2 == 0:
		print("Executing SoftBody.get_volume_stiffness")
		print("Parameters[]")
		q_SoftBody.get_volume_stiffness()

	if randi() % 2 == 0:
		print("Executing SoftBody.set_pressure_coefficient")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SoftBody.set_pressure_coefficient(variable1)

	if randi() % 2 == 0:
		print("Executing SoftBody.get_pressure_coefficient")
		print("Parameters[]")
		q_SoftBody.get_pressure_coefficient()

	if randi() % 2 == 0:
		print("Executing SoftBody.set_pose_matching_coefficient")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SoftBody.set_pose_matching_coefficient(variable1)

	if randi() % 2 == 0:
		print("Executing SoftBody.get_pose_matching_coefficient")
		print("Parameters[]")
		q_SoftBody.get_pose_matching_coefficient()

	if randi() % 2 == 0:
		print("Executing SoftBody.set_damping_coefficient")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SoftBody.set_damping_coefficient(variable1)

	if randi() % 2 == 0:
		print("Executing SoftBody.get_damping_coefficient")
		print("Parameters[]")
		q_SoftBody.get_damping_coefficient()

	if randi() % 2 == 0:
		print("Executing SoftBody.set_drag_coefficient")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SoftBody.set_drag_coefficient(variable1)

	if randi() % 2 == 0:
		print("Executing SoftBody.get_drag_coefficient")
		print("Parameters[]")
		q_SoftBody.get_drag_coefficient()

	if randi() % 2 == 0:
		print("Executing SoftBody.set_ray_pickable")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_SoftBody.set_ray_pickable(variable1)

	if randi() % 2 == 0:
		print("Executing SoftBody.is_ray_pickable")
		print("Parameters[]")
		q_SoftBody.is_ray_pickable()

	pass

