extends Node2D

var q_StaticBody : StaticBody = StaticBody.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_StaticBody.queue_free()
		return

	add_child(q_StaticBody)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_StaticBody.queue_free()
		q_StaticBody = StaticBody.new()
		add_child(q_StaticBody)

	modify_object(q_StaticBody)

static func modify_object(q_StaticBody : StaticBody) -> void:
	if randi() % 2 == 0:
		print("Executing StaticBody.set_constant_linear_velocity")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_StaticBody.set_constant_linear_velocity(variable1)

	if randi() % 2 == 0:
		print("Executing StaticBody.set_constant_angular_velocity")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_StaticBody.set_constant_angular_velocity(variable1)

	if randi() % 2 == 0:
		print("Executing StaticBody.get_constant_linear_velocity")
		print("Parameters[]")
		q_StaticBody.get_constant_linear_velocity()

	if randi() % 2 == 0:
		print("Executing StaticBody.get_constant_angular_velocity")
		print("Parameters[]")
		q_StaticBody.get_constant_angular_velocity()

	if randi() % 2 == 0:
		print("Executing StaticBody.set_friction")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_StaticBody.set_friction(variable1)

	if randi() % 2 == 0:
		print("Executing StaticBody.get_friction")
		print("Parameters[]")
		q_StaticBody.get_friction()

	if randi() % 2 == 0:
		print("Executing StaticBody.set_bounce")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_StaticBody.set_bounce(variable1)

	if randi() % 2 == 0:
		print("Executing StaticBody.get_bounce")
		print("Parameters[]")
		q_StaticBody.get_bounce()

	if randi() % 2 == 0:
		print("Executing StaticBody.set_physics_material_override")
		var variable1: PhysicsMaterial = PhysicsMaterial.new()
		print("Parameters[" + str(variable1) + "]")
		q_StaticBody.set_physics_material_override(variable1)

	if randi() % 2 == 0:
		print("Executing StaticBody.get_physics_material_override")
		print("Parameters[]")
		q_StaticBody.get_physics_material_override()

	if randi() % 2 == 0:
		print("Executing StaticBody._reload_physics_characteristics")
		print("Parameters[]")
		q_StaticBody._reload_physics_characteristics()

	pass

