extends Node2D

var q_Tree : Tree = Tree.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_Tree.queue_free()
		return

	add_child(q_Tree)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Tree.queue_free()
		q_Tree = Tree.new()
		add_child(q_Tree)

	modify_object(q_Tree)

static func modify_object(q_Tree : Tree) -> void:
	if randi() % 2 == 0:
		print("Executing Tree._popup_select")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Tree._popup_select(variable1)

	if randi() % 2 == 0:
		print("Executing Tree._text_editor_enter")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_Tree._text_editor_enter(variable1)

	if randi() % 2 == 0:
		print("Executing Tree._text_editor_modal_close")
		print("Parameters[]")
		q_Tree._text_editor_modal_close()

	if randi() % 2 == 0:
		print("Executing Tree._value_editor_changed")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Tree._value_editor_changed(variable1)

	if randi() % 2 == 0:
		print("Executing Tree._scroll_moved")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Tree._scroll_moved(variable1)

	if randi() % 2 == 0:
		print("Executing Tree.clear")
		print("Parameters[]")
		q_Tree.clear()

	if randi() % 2 == 0:
		print("Executing Tree.create_item")
		var variable1: UDPServer = UDPServer.new()
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Tree.create_item(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Tree.get_root")
		print("Parameters[]")
		q_Tree.get_root()

	if randi() % 2 == 0:
		print("Executing Tree.set_column_min_width")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Tree.set_column_min_width(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Tree.set_column_expand")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Tree.set_column_expand(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Tree.get_column_width")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Tree.get_column_width(variable1)

	if randi() % 2 == 0:
		print("Executing Tree.set_hide_root")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Tree.set_hide_root(variable1)

	if randi() % 2 == 0:
		print("Executing Tree.is_root_hidden")
		print("Parameters[]")
		q_Tree.is_root_hidden()

	if randi() % 2 == 0:
		print("Executing Tree.get_next_selected")
		var variable1: SpringArm = SpringArm.new()
		print("Parameters[" + str(variable1) + "]")
		q_Tree.get_next_selected(variable1)
		variable1.queue_free()

	if randi() % 2 == 0:
		print("Executing Tree.get_selected")
		print("Parameters[]")
		q_Tree.get_selected()

	if randi() % 2 == 0:
		print("Executing Tree.get_selected_column")
		print("Parameters[]")
		q_Tree.get_selected_column()

	if randi() % 2 == 0:
		print("Executing Tree.get_pressed_button")
		print("Parameters[]")
		q_Tree.get_pressed_button()

	if randi() % 2 == 0:
		print("Executing Tree.set_select_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Tree.set_select_mode(variable1)

	if randi() % 2 == 0:
		print("Executing Tree.get_select_mode")
		print("Parameters[]")
		q_Tree.get_select_mode()

	if randi() % 2 == 0:
		print("Executing Tree.set_columns")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Tree.set_columns(variable1)

	if randi() % 2 == 0:
		print("Executing Tree.get_columns")
		print("Parameters[]")
		q_Tree.get_columns()

	if randi() % 2 == 0:
		print("Executing Tree.get_edited")
		print("Parameters[]")
		q_Tree.get_edited()

	if randi() % 2 == 0:
		print("Executing Tree.get_edited_column")
		print("Parameters[]")
		q_Tree.get_edited_column()

	if randi() % 2 == 0:
		print("Executing Tree.edit_selected")
		print("Parameters[]")
		q_Tree.edit_selected()

	if randi() % 2 == 0:
		print("Executing Tree.get_custom_popup_rect")
		print("Parameters[]")
		q_Tree.get_custom_popup_rect()

	if randi() % 2 == 0:
		print("Executing Tree.get_item_area_rect")
		var variable1: Position3D = Position3D.new()
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Tree.get_item_area_rect(variable1, variable2)
		variable1.queue_free()

	if randi() % 2 == 0:
		print("Executing Tree.get_item_at_position")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_Tree.get_item_at_position(variable1)

	if randi() % 2 == 0:
		print("Executing Tree.get_column_at_position")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_Tree.get_column_at_position(variable1)

	if randi() % 2 == 0:
		print("Executing Tree.get_drop_section_at_position")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Tree.get_drop_section_at_position(variable1)

	if randi() % 2 == 0:
		print("Executing Tree.ensure_cursor_is_visible")
		print("Parameters[]")
		q_Tree.ensure_cursor_is_visible()

	if randi() % 2 == 0:
		print("Executing Tree.set_column_titles_visible")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Tree.set_column_titles_visible(variable1)

	if randi() % 2 == 0:
		print("Executing Tree.are_column_titles_visible")
		print("Parameters[]")
		q_Tree.are_column_titles_visible()

	if randi() % 2 == 0:
		print("Executing Tree.set_column_title")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: String = ""
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Tree.set_column_title(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Tree.get_column_title")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Tree.get_column_title(variable1)

	if randi() % 2 == 0:
		print("Executing Tree.get_scroll")
		print("Parameters[]")
		q_Tree.get_scroll()

	if randi() % 2 == 0:
		print("Executing Tree.scroll_to_item")
		var variable1: VisualShaderNodeCustom = VisualShaderNodeCustom.new()
		print("Parameters[" + str(variable1) + "]")
		q_Tree.scroll_to_item(variable1)

	if randi() % 2 == 0:
		print("Executing Tree.set_hide_folding")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Tree.set_hide_folding(variable1)

	if randi() % 2 == 0:
		print("Executing Tree.is_folding_hidden")
		print("Parameters[]")
		q_Tree.is_folding_hidden()

	if randi() % 2 == 0:
		print("Executing Tree.set_drop_mode_flags")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Tree.set_drop_mode_flags(variable1)

	if randi() % 2 == 0:
		print("Executing Tree.get_drop_mode_flags")
		print("Parameters[]")
		q_Tree.get_drop_mode_flags()

	if randi() % 2 == 0:
		print("Executing Tree.set_allow_rmb_select")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Tree.set_allow_rmb_select(variable1)

	if randi() % 2 == 0:
		print("Executing Tree.get_allow_rmb_select")
		print("Parameters[]")
		q_Tree.get_allow_rmb_select()

	if randi() % 2 == 0:
		print("Executing Tree.set_allow_reselect")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Tree.set_allow_reselect(variable1)

	if randi() % 2 == 0:
		print("Executing Tree.get_allow_reselect")
		print("Parameters[]")
		q_Tree.get_allow_reselect()

	pass

