extends Node2D

var q_AnimationPlayer : AnimationPlayer = AnimationPlayer.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		q_AnimationPlayer.queue_free()
		return

	add_child(q_AnimationPlayer)

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_AnimationPlayer.queue_free()
		q_AnimationPlayer = AnimationPlayer.new()
		add_child(q_AnimationPlayer)

	modify_object(q_AnimationPlayer)

static func modify_object(q_AnimationPlayer : AnimationPlayer) -> void:
	if randi() % 2 == 0:
		print("Executing AnimationPlayer._node_removed")
		var variable1: Node = Node.new()
		print("Parameters[" + str(variable1) + "]")
		q_AnimationPlayer._node_removed(variable1)
		variable1.queue_free()

	if randi() % 2 == 0:
		print("Executing AnimationPlayer._animation_changed")
		print("Parameters[]")
		q_AnimationPlayer._animation_changed()

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.add_animation")
		var variable1: String = "."
		var variable2: Animation = Animation.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationPlayer.add_animation(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.remove_animation")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationPlayer.remove_animation(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.rename_animation")
		var variable1: String = "."
		var variable2: String = "."
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationPlayer.rename_animation(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.has_animation")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_AnimationPlayer.has_animation(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.get_animation")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_AnimationPlayer.get_animation(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.get_animation_list")
		print("Parameters[]")
		q_AnimationPlayer.get_animation_list()

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.animation_set_next")
		var variable1: String = str(randi() / 100)
		var variable2: String = ""
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationPlayer.animation_set_next(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.animation_get_next")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationPlayer.animation_get_next(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.set_blend_time")
		var variable1: String = "."
		var variable2: String = ""
		var variable3: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_AnimationPlayer.set_blend_time(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.get_blend_time")
		var variable1: String = str(randi() / 100)
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationPlayer.get_blend_time(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.set_default_blend_time")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationPlayer.set_default_blend_time(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.get_default_blend_time")
		print("Parameters[]")
		q_AnimationPlayer.get_default_blend_time()

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.play")
		var variable1: String = "."
		var variable2: float = (randf() * 10) - (10 / 2.0)
		var variable3: float = (randf() * 10) - (10 / 2.0)
		var variable4: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_AnimationPlayer.play(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.play_backwards")
		var variable1: String = str(randi() / 100)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationPlayer.play_backwards(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.stop")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationPlayer.stop(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.is_playing")
		print("Parameters[]")
		q_AnimationPlayer.is_playing()

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.set_current_animation")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationPlayer.set_current_animation(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.get_current_animation")
		print("Parameters[]")
		q_AnimationPlayer.get_current_animation()

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.set_assigned_animation")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationPlayer.set_assigned_animation(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.get_assigned_animation")
		print("Parameters[]")
		q_AnimationPlayer.get_assigned_animation()

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.queue")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationPlayer.queue(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.get_queue")
		print("Parameters[]")
		q_AnimationPlayer.get_queue()

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.clear_queue")
		print("Parameters[]")
		q_AnimationPlayer.clear_queue()

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.set_active")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationPlayer.set_active(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.is_active")
		print("Parameters[]")
		q_AnimationPlayer.is_active()

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.set_speed_scale")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationPlayer.set_speed_scale(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.get_speed_scale")
		print("Parameters[]")
		q_AnimationPlayer.get_speed_scale()

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.get_playing_speed")
		print("Parameters[]")
		q_AnimationPlayer.get_playing_speed()

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.set_autoplay")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationPlayer.set_autoplay(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.get_autoplay")
		print("Parameters[]")
		q_AnimationPlayer.get_autoplay()

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.set_reset_on_save_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationPlayer.set_reset_on_save_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.is_reset_on_save_enabled")
		print("Parameters[]")
		q_AnimationPlayer.is_reset_on_save_enabled()

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.set_root")
		var variable1: NodePath = NodePath(".")
		print("Parameters[" + str(variable1) + "]")
		q_AnimationPlayer.set_root(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.get_root")
		print("Parameters[]")
		q_AnimationPlayer.get_root()

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.find_animation")
		var variable1: Animation = Animation.new()
		print("Parameters[" + str(variable1) + "]")
		q_AnimationPlayer.find_animation(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.clear_caches")
		print("Parameters[]")
		q_AnimationPlayer.clear_caches()

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.set_animation_process_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationPlayer.set_animation_process_mode(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.get_animation_process_mode")
		print("Parameters[]")
		q_AnimationPlayer.get_animation_process_mode()

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.set_method_call_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationPlayer.set_method_call_mode(variable1)

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.get_method_call_mode")
		print("Parameters[]")
		q_AnimationPlayer.get_method_call_mode()

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.get_current_animation_position")
		print("Parameters[]")
		q_AnimationPlayer.get_current_animation_position()

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.get_current_animation_length")
		print("Parameters[]")
		q_AnimationPlayer.get_current_animation_length()

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.seek")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_AnimationPlayer.seek(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing AnimationPlayer.advance")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_AnimationPlayer.advance(variable1)

	pass

