extends Node2D

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	modify_object()

static func modify_object() -> void:
	if randi() % 2 == 0:
		print("Executing Geometry.build_box_planes")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		Geometry.build_box_planes(variable1)

	if randi() % 2 == 0:
		print("Executing Geometry.build_cylinder_planes")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		Geometry.build_cylinder_planes(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing Geometry.build_capsule_planes")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		var variable5: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + "]")
		Geometry.build_capsule_planes(variable1, variable2, variable3, variable4, variable5)

	if randi() % 2 == 0:
		print("Executing Geometry.is_point_in_circle")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable3: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		Geometry.is_point_in_circle(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Geometry.segment_intersects_circle")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable3: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable4: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		Geometry.segment_intersects_circle(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing Geometry.segment_intersects_segment_2d")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable3: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable4: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		Geometry.segment_intersects_segment_2d(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing Geometry.line_intersects_line_2d")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable3: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable4: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		Geometry.line_intersects_line_2d(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing Geometry.get_closest_points_between_segments_2d")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable3: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable4: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		Geometry.get_closest_points_between_segments_2d(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing Geometry.get_closest_points_between_segments")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable2: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable3: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable4: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		Geometry.get_closest_points_between_segments(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing Geometry.get_closest_point_to_segment_2d")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable3: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		Geometry.get_closest_point_to_segment_2d(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Geometry.get_closest_point_to_segment")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable2: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable3: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		Geometry.get_closest_point_to_segment(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Geometry.get_closest_point_to_segment_uncapped_2d")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable3: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		Geometry.get_closest_point_to_segment_uncapped_2d(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Geometry.get_closest_point_to_segment_uncapped")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable2: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable3: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		Geometry.get_closest_point_to_segment_uncapped(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Geometry.get_uv84_normal_bit")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		Geometry.get_uv84_normal_bit(variable1)

	if randi() % 2 == 0:
		print("Executing Geometry.ray_intersects_triangle")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable2: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable3: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable4: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable5: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + "]")
		Geometry.ray_intersects_triangle(variable1, variable2, variable3, variable4, variable5)

	if randi() % 2 == 0:
		print("Executing Geometry.segment_intersects_triangle")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable2: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable3: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable4: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable5: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + "]")
		Geometry.segment_intersects_triangle(variable1, variable2, variable3, variable4, variable5)

	if randi() % 2 == 0:
		print("Executing Geometry.segment_intersects_sphere")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable2: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable3: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable4: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		Geometry.segment_intersects_sphere(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing Geometry.segment_intersects_cylinder")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable2: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable3: float = (randf() * 10) - (10 / 2.0)
		var variable4: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		Geometry.segment_intersects_cylinder(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing Geometry.segment_intersects_convex")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable2: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable3: Array = []
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		Geometry.segment_intersects_convex(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Geometry.point_is_inside_triangle")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		var variable3: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable4: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		Geometry.point_is_inside_triangle(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing Geometry.is_polygon_clockwise")
		var variable1: PoolVector2Array = PoolVector2Array([])
		print("Parameters[" + str(variable1) + "]")
		Geometry.is_polygon_clockwise(variable1)

	if randi() % 2 == 0:
		print("Executing Geometry.is_point_in_polygon")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable2: PoolVector2Array = PoolVector2Array([])
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		Geometry.is_point_in_polygon(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Geometry.triangulate_polygon")
		var variable1: PoolVector2Array = PoolVector2Array([])
		print("Parameters[" + str(variable1) + "]")
		Geometry.triangulate_polygon(variable1)

	if randi() % 2 == 0:
		print("Executing Geometry.triangulate_delaunay_2d")
		var variable1: PoolVector2Array = PoolVector2Array([])
		print("Parameters[" + str(variable1) + "]")
		Geometry.triangulate_delaunay_2d(variable1)

	if randi() % 2 == 0:
		print("Executing Geometry.convex_hull_2d")
		var variable1: PoolVector2Array = PoolVector2Array([])
		print("Parameters[" + str(variable1) + "]")
		Geometry.convex_hull_2d(variable1)

	if randi() % 2 == 0:
		print("Executing Geometry.clip_polygon")
		var variable1: PoolVector3Array = PoolVector3Array([])
		var variable2: Plane = Plane(Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		Geometry.clip_polygon(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Geometry.merge_polygons_2d")
		var variable1: PoolVector2Array = PoolVector2Array([])
		var variable2: PoolVector2Array = PoolVector2Array([])
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		Geometry.merge_polygons_2d(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Geometry.clip_polygons_2d")
		var variable1: PoolVector2Array = PoolVector2Array([])
		var variable2: PoolVector2Array = PoolVector2Array([])
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		Geometry.clip_polygons_2d(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Geometry.intersect_polygons_2d")
		var variable1: PoolVector2Array = PoolVector2Array([])
		var variable2: PoolVector2Array = PoolVector2Array([])
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		Geometry.intersect_polygons_2d(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Geometry.exclude_polygons_2d")
		var variable1: PoolVector2Array = PoolVector2Array([])
		var variable2: PoolVector2Array = PoolVector2Array([])
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		Geometry.exclude_polygons_2d(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Geometry.clip_polyline_with_polygon_2d")
		var variable1: PoolVector2Array = PoolVector2Array([])
		var variable2: PoolVector2Array = PoolVector2Array([])
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		Geometry.clip_polyline_with_polygon_2d(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Geometry.intersect_polyline_with_polygon_2d")
		var variable1: PoolVector2Array = PoolVector2Array([])
		var variable2: PoolVector2Array = PoolVector2Array([])
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		Geometry.intersect_polyline_with_polygon_2d(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Geometry.offset_polygon_2d")
		var variable1: PoolVector2Array = PoolVector2Array([])
		var variable2: float = (randf() * 10) - (10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		Geometry.offset_polygon_2d(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Geometry.offset_polyline_2d")
		var variable1: PoolVector2Array = PoolVector2Array([])
		var variable2: float = (randf() * 10) - (10 / 2.0)
		var variable3: int = (randi() % int(10)) - int(10 / 2.0)
		var variable4: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		Geometry.offset_polyline_2d(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing Geometry.make_atlas")
		var variable1: PoolVector2Array = PoolVector2Array([])
		print("Parameters[" + str(variable1) + "]")
		Geometry.make_atlas(variable1)

	pass

