extends Node2D

var q_Crypto : Crypto = Crypto.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Crypto = Crypto.new()
	modify_object(q_Crypto)

static func modify_object(q_Crypto : Crypto) -> void:
	if randi() % 2 == 0:
		print("Executing Crypto.generate_random_bytes")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Crypto.generate_random_bytes(variable1)

	if randi() % 2 == 0:
		print("Executing Crypto.generate_rsa")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Crypto.generate_rsa(variable1)

	if randi() % 2 == 0:
		print("Executing Crypto.generate_self_signed_certificate")
		var variable1: CryptoKey = CryptoKey.new()
		var variable2: String = str(randi() / 100)
		var variable3: String = "."
		var variable4: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_Crypto.generate_self_signed_certificate(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing Crypto.sign")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: PoolByteArray = PoolByteArray([])
		var variable3: CryptoKey = CryptoKey.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Crypto.sign(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Crypto.verify")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: PoolByteArray = PoolByteArray([])
		var variable3: PoolByteArray = PoolByteArray([])
		var variable4: CryptoKey = CryptoKey.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + "]")
		q_Crypto.verify(variable1, variable2, variable3, variable4)

	if randi() % 2 == 0:
		print("Executing Crypto.encrypt")
		var variable1: CryptoKey = CryptoKey.new()
		var variable2: PoolByteArray = PoolByteArray([])
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Crypto.encrypt(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Crypto.decrypt")
		var variable1: CryptoKey = CryptoKey.new()
		var variable2: PoolByteArray = PoolByteArray([])
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Crypto.decrypt(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Crypto.hmac_digest")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: PoolByteArray = PoolByteArray([])
		var variable3: PoolByteArray = PoolByteArray([])
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_Crypto.hmac_digest(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing Crypto.constant_time_compare")
		var variable1: PoolByteArray = PoolByteArray([])
		var variable2: PoolByteArray = PoolByteArray([])
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Crypto.constant_time_compare(variable1, variable2)

	pass

