extends Node2D

var q_SurfaceTool : SurfaceTool = SurfaceTool.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_SurfaceTool = SurfaceTool.new()
	modify_object(q_SurfaceTool)

static func modify_object(q_SurfaceTool : SurfaceTool) -> void:
	if randi() % 2 == 0:
		print("Executing SurfaceTool.begin")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SurfaceTool.begin(variable1)

	if randi() % 2 == 0:
		print("Executing SurfaceTool.add_color")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_SurfaceTool.add_color(variable1)

	if randi() % 2 == 0:
		print("Executing SurfaceTool.add_normal")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_SurfaceTool.add_normal(variable1)

	if randi() % 2 == 0:
		print("Executing SurfaceTool.add_tangent")
		var variable1: Plane = Plane(Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)))
		print("Parameters[" + str(variable1) + "]")
		q_SurfaceTool.add_tangent(variable1)

	if randi() % 2 == 0:
		print("Executing SurfaceTool.add_uv")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_SurfaceTool.add_uv(variable1)

	if randi() % 2 == 0:
		print("Executing SurfaceTool.add_uv2")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_SurfaceTool.add_uv2(variable1)

	if randi() % 2 == 0:
		print("Executing SurfaceTool.add_bones")
		var variable1: PoolIntArray = PoolIntArray([])
		print("Parameters[" + str(variable1) + "]")
		q_SurfaceTool.add_bones(variable1)

	if randi() % 2 == 0:
		print("Executing SurfaceTool.add_weights")
		var variable1: PoolRealArray = PoolRealArray([])
		print("Parameters[" + str(variable1) + "]")
		q_SurfaceTool.add_weights(variable1)

	if randi() % 2 == 0:
		print("Executing SurfaceTool.add_smooth_group")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_SurfaceTool.add_smooth_group(variable1)

	if randi() % 2 == 0:
		print("Executing SurfaceTool.add_triangle_fan")
		var variable1: PoolVector3Array = PoolVector3Array([])
		var variable2: PoolVector2Array = PoolVector2Array([])
		var variable3: PoolColorArray = PoolColorArray([])
		var variable4: PoolVector2Array = PoolVector2Array([])
		var variable5: PoolVector3Array = PoolVector3Array([])
		var variable6: Array = []
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + ", " + str(variable6) + "]")
		q_SurfaceTool.add_triangle_fan(variable1, variable2, variable3, variable4, variable5, variable6)

	if randi() % 2 == 0:
		print("Executing SurfaceTool.add_index")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_SurfaceTool.add_index(variable1)

	if randi() % 2 == 0:
		print("Executing SurfaceTool.index")
		print("Parameters[]")
		q_SurfaceTool.index()

	if randi() % 2 == 0:
		print("Executing SurfaceTool.deindex")
		print("Parameters[]")
		q_SurfaceTool.deindex()

	if randi() % 2 == 0:
		print("Executing SurfaceTool.generate_normals")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_SurfaceTool.generate_normals(variable1)

	if randi() % 2 == 0:
		print("Executing SurfaceTool.generate_tangents")
		print("Parameters[]")
		q_SurfaceTool.generate_tangents()

	if randi() % 2 == 0:
		print("Executing SurfaceTool.set_material")
		var variable1: CanvasItemMaterial = CanvasItemMaterial.new()
		print("Parameters[" + str(variable1) + "]")
		q_SurfaceTool.set_material(variable1)

	if randi() % 2 == 0:
		print("Executing SurfaceTool.clear")
		print("Parameters[]")
		q_SurfaceTool.clear()

	if randi() % 2 == 0:
		print("Executing SurfaceTool.create_from")
		var variable1: ArrayMesh = ArrayMesh.new()
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_SurfaceTool.create_from(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing SurfaceTool.create_from_blend_shape")
		var variable1: SphereMesh = SphereMesh.new()
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_SurfaceTool.create_from_blend_shape(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing SurfaceTool.append_from")
		var variable1: SphereMesh = SphereMesh.new()
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: Transform = Transform(Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_SurfaceTool.append_from(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing SurfaceTool.commit")
		var variable1: ArrayMesh = ArrayMesh.new()
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_SurfaceTool.commit(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing SurfaceTool.commit_to_arrays")
		print("Parameters[]")
		q_SurfaceTool.commit_to_arrays()

	pass

