extends Node2D

var q_UPNP : UPNP = UPNP.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_UPNP = UPNP.new()
	modify_object(q_UPNP)

static func modify_object(q_UPNP : UPNP) -> void:
	if randi() % 2 == 0:
		print("Executing UPNP.get_device_count")
		print("Parameters[]")
		q_UPNP.get_device_count()

	if randi() % 2 == 0:
		print("Executing UPNP.get_device")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_UPNP.get_device(variable1)

	if randi() % 2 == 0:
		print("Executing UPNP.add_device")
		var variable1: UPNPDevice = UPNPDevice.new()
		print("Parameters[" + str(variable1) + "]")
		q_UPNP.add_device(variable1)

	if randi() % 2 == 0:
		print("Executing UPNP.set_device")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: UPNPDevice = UPNPDevice.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_UPNP.set_device(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing UPNP.remove_device")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_UPNP.remove_device(variable1)

	if randi() % 2 == 0:
		print("Executing UPNP.clear_devices")
		print("Parameters[]")
		q_UPNP.clear_devices()

	if randi() % 2 == 0:
		print("Executing UPNP.get_gateway")
		print("Parameters[]")
		q_UPNP.get_gateway()

	if randi() % 2 == 0:
		print("Executing UPNP.query_external_address")
		print("Parameters[]")
		q_UPNP.query_external_address()

	if randi() % 2 == 0:
		print("Executing UPNP.add_port_mapping")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: String = str(randi() / 100)
		var variable4: String = ""
		var variable5: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + ", " + str(variable4) + ", " + str(variable5) + "]")
		q_UPNP.add_port_mapping(variable1, variable2, variable3, variable4, variable5)

	if randi() % 2 == 0:
		print("Executing UPNP.delete_port_mapping")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: String = ""
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_UPNP.delete_port_mapping(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing UPNP.set_discover_multicast_if")
		var variable1: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + "]")
		q_UPNP.set_discover_multicast_if(variable1)

	if randi() % 2 == 0:
		print("Executing UPNP.get_discover_multicast_if")
		print("Parameters[]")
		q_UPNP.get_discover_multicast_if()

	if randi() % 2 == 0:
		print("Executing UPNP.set_discover_local_port")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_UPNP.set_discover_local_port(variable1)

	if randi() % 2 == 0:
		print("Executing UPNP.get_discover_local_port")
		print("Parameters[]")
		q_UPNP.get_discover_local_port()

	if randi() % 2 == 0:
		print("Executing UPNP.set_discover_ipv6")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_UPNP.set_discover_ipv6(variable1)

	if randi() % 2 == 0:
		print("Executing UPNP.is_discover_ipv6")
		print("Parameters[]")
		q_UPNP.is_discover_ipv6()

	pass

