extends Node2D

var q_WebRTCPeerConnection : WebRTCPeerConnection = WebRTCPeerConnection.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_WebRTCPeerConnection = WebRTCPeerConnection.new()
	modify_object(q_WebRTCPeerConnection)

static func modify_object(q_WebRTCPeerConnection : WebRTCPeerConnection) -> void:
	if randi() % 2 == 0:
		print("Executing WebRTCPeerConnection.initialize")
		var variable1: Dictionary = {}
		print("Parameters[" + str(variable1) + "]")
		q_WebRTCPeerConnection.initialize(variable1)

	if randi() % 2 == 0:
		print("Executing WebRTCPeerConnection.create_data_channel")
		var variable1: String = "."
		var variable2: Dictionary = {}
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_WebRTCPeerConnection.create_data_channel(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing WebRTCPeerConnection.create_offer")
		print("Parameters[]")
		q_WebRTCPeerConnection.create_offer()

	if randi() % 2 == 0:
		print("Executing WebRTCPeerConnection.set_local_description")
		var variable1: String = str(randi() / 100)
		var variable2: String = "."
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_WebRTCPeerConnection.set_local_description(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing WebRTCPeerConnection.set_remote_description")
		var variable1: String = str(randi() / 100)
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_WebRTCPeerConnection.set_remote_description(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing WebRTCPeerConnection.add_ice_candidate")
		var variable1: String = str(randi() / 100)
		var variable2: int = (randi() % int(10)) - int(10 / 2.0)
		var variable3: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + ", " + str(variable3) + "]")
		q_WebRTCPeerConnection.add_ice_candidate(variable1, variable2, variable3)

	if randi() % 2 == 0:
		print("Executing WebRTCPeerConnection.poll")
		print("Parameters[]")
		q_WebRTCPeerConnection.poll()

	if randi() % 2 == 0:
		print("Executing WebRTCPeerConnection.close")
		print("Parameters[]")
		q_WebRTCPeerConnection.close()

	if randi() % 2 == 0:
		print("Executing WebRTCPeerConnection.get_connection_state")
		print("Parameters[]")
		q_WebRTCPeerConnection.get_connection_state()

	pass

