extends Node2D

var q_Environment : Environment = Environment.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_Environment = Environment.new()
	modify_object(q_Environment)

static func modify_object(q_Environment : Environment) -> void:
	if randi() % 2 == 0:
		print("Executing Environment.set_background")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_background(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.set_sky")
		var variable1: ProceduralSky = ProceduralSky.new()
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_sky(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.set_sky_custom_fov")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_sky_custom_fov(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.set_sky_orientation")
		var variable1: Basis = Basis(Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized())
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_sky_orientation(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.set_sky_rotation")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_sky_rotation(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.set_sky_rotation_degrees")
		var variable1: Vector3 = Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_sky_rotation_degrees(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.set_bg_color")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_bg_color(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.set_bg_energy")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_bg_energy(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.set_canvas_max_layer")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_canvas_max_layer(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.set_ambient_light_color")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_ambient_light_color(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.set_ambient_light_energy")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_ambient_light_energy(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.set_ambient_light_sky_contribution")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_ambient_light_sky_contribution(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.set_camera_feed_id")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_camera_feed_id(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_background")
		print("Parameters[]")
		q_Environment.get_background()

	if randi() % 2 == 0:
		print("Executing Environment.get_sky")
		print("Parameters[]")
		q_Environment.get_sky()

	if randi() % 2 == 0:
		print("Executing Environment.get_sky_custom_fov")
		print("Parameters[]")
		q_Environment.get_sky_custom_fov()

	if randi() % 2 == 0:
		print("Executing Environment.get_sky_orientation")
		print("Parameters[]")
		q_Environment.get_sky_orientation()

	if randi() % 2 == 0:
		print("Executing Environment.get_sky_rotation")
		print("Parameters[]")
		q_Environment.get_sky_rotation()

	if randi() % 2 == 0:
		print("Executing Environment.get_sky_rotation_degrees")
		print("Parameters[]")
		q_Environment.get_sky_rotation_degrees()

	if randi() % 2 == 0:
		print("Executing Environment.get_bg_color")
		print("Parameters[]")
		q_Environment.get_bg_color()

	if randi() % 2 == 0:
		print("Executing Environment.get_bg_energy")
		print("Parameters[]")
		q_Environment.get_bg_energy()

	if randi() % 2 == 0:
		print("Executing Environment.get_canvas_max_layer")
		print("Parameters[]")
		q_Environment.get_canvas_max_layer()

	if randi() % 2 == 0:
		print("Executing Environment.get_ambient_light_color")
		print("Parameters[]")
		q_Environment.get_ambient_light_color()

	if randi() % 2 == 0:
		print("Executing Environment.get_ambient_light_energy")
		print("Parameters[]")
		q_Environment.get_ambient_light_energy()

	if randi() % 2 == 0:
		print("Executing Environment.get_ambient_light_sky_contribution")
		print("Parameters[]")
		q_Environment.get_ambient_light_sky_contribution()

	if randi() % 2 == 0:
		print("Executing Environment.get_camera_feed_id")
		print("Parameters[]")
		q_Environment.get_camera_feed_id()

	if randi() % 2 == 0:
		print("Executing Environment.set_fog_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_fog_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.is_fog_enabled")
		print("Parameters[]")
		q_Environment.is_fog_enabled()

	if randi() % 2 == 0:
		print("Executing Environment.set_fog_color")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_fog_color(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_fog_color")
		print("Parameters[]")
		q_Environment.get_fog_color()

	if randi() % 2 == 0:
		print("Executing Environment.set_fog_sun_color")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_fog_sun_color(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_fog_sun_color")
		print("Parameters[]")
		q_Environment.get_fog_sun_color()

	if randi() % 2 == 0:
		print("Executing Environment.set_fog_sun_amount")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_fog_sun_amount(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_fog_sun_amount")
		print("Parameters[]")
		q_Environment.get_fog_sun_amount()

	if randi() % 2 == 0:
		print("Executing Environment.set_fog_depth_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_fog_depth_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.is_fog_depth_enabled")
		print("Parameters[]")
		q_Environment.is_fog_depth_enabled()

	if randi() % 2 == 0:
		print("Executing Environment.set_fog_depth_begin")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_fog_depth_begin(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_fog_depth_begin")
		print("Parameters[]")
		q_Environment.get_fog_depth_begin()

	if randi() % 2 == 0:
		print("Executing Environment.set_fog_depth_end")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_fog_depth_end(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_fog_depth_end")
		print("Parameters[]")
		q_Environment.get_fog_depth_end()

	if randi() % 2 == 0:
		print("Executing Environment.set_fog_depth_curve")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_fog_depth_curve(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_fog_depth_curve")
		print("Parameters[]")
		q_Environment.get_fog_depth_curve()

	if randi() % 2 == 0:
		print("Executing Environment.set_fog_transmit_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_fog_transmit_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.is_fog_transmit_enabled")
		print("Parameters[]")
		q_Environment.is_fog_transmit_enabled()

	if randi() % 2 == 0:
		print("Executing Environment.set_fog_transmit_curve")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_fog_transmit_curve(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_fog_transmit_curve")
		print("Parameters[]")
		q_Environment.get_fog_transmit_curve()

	if randi() % 2 == 0:
		print("Executing Environment.set_fog_height_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_fog_height_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.is_fog_height_enabled")
		print("Parameters[]")
		q_Environment.is_fog_height_enabled()

	if randi() % 2 == 0:
		print("Executing Environment.set_fog_height_min")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_fog_height_min(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_fog_height_min")
		print("Parameters[]")
		q_Environment.get_fog_height_min()

	if randi() % 2 == 0:
		print("Executing Environment.set_fog_height_max")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_fog_height_max(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_fog_height_max")
		print("Parameters[]")
		q_Environment.get_fog_height_max()

	if randi() % 2 == 0:
		print("Executing Environment.set_fog_height_curve")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_fog_height_curve(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_fog_height_curve")
		print("Parameters[]")
		q_Environment.get_fog_height_curve()

	if randi() % 2 == 0:
		print("Executing Environment.set_tonemapper")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_tonemapper(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_tonemapper")
		print("Parameters[]")
		q_Environment.get_tonemapper()

	if randi() % 2 == 0:
		print("Executing Environment.set_tonemap_exposure")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_tonemap_exposure(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_tonemap_exposure")
		print("Parameters[]")
		q_Environment.get_tonemap_exposure()

	if randi() % 2 == 0:
		print("Executing Environment.set_tonemap_white")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_tonemap_white(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_tonemap_white")
		print("Parameters[]")
		q_Environment.get_tonemap_white()

	if randi() % 2 == 0:
		print("Executing Environment.set_tonemap_auto_exposure")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_tonemap_auto_exposure(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_tonemap_auto_exposure")
		print("Parameters[]")
		q_Environment.get_tonemap_auto_exposure()

	if randi() % 2 == 0:
		print("Executing Environment.set_tonemap_auto_exposure_max")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_tonemap_auto_exposure_max(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_tonemap_auto_exposure_max")
		print("Parameters[]")
		q_Environment.get_tonemap_auto_exposure_max()

	if randi() % 2 == 0:
		print("Executing Environment.set_tonemap_auto_exposure_min")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_tonemap_auto_exposure_min(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_tonemap_auto_exposure_min")
		print("Parameters[]")
		q_Environment.get_tonemap_auto_exposure_min()

	if randi() % 2 == 0:
		print("Executing Environment.set_tonemap_auto_exposure_speed")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_tonemap_auto_exposure_speed(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_tonemap_auto_exposure_speed")
		print("Parameters[]")
		q_Environment.get_tonemap_auto_exposure_speed()

	if randi() % 2 == 0:
		print("Executing Environment.set_tonemap_auto_exposure_grey")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_tonemap_auto_exposure_grey(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_tonemap_auto_exposure_grey")
		print("Parameters[]")
		q_Environment.get_tonemap_auto_exposure_grey()

	if randi() % 2 == 0:
		print("Executing Environment.set_ssr_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_ssr_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.is_ssr_enabled")
		print("Parameters[]")
		q_Environment.is_ssr_enabled()

	if randi() % 2 == 0:
		print("Executing Environment.set_ssr_max_steps")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_ssr_max_steps(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_ssr_max_steps")
		print("Parameters[]")
		q_Environment.get_ssr_max_steps()

	if randi() % 2 == 0:
		print("Executing Environment.set_ssr_fade_in")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_ssr_fade_in(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_ssr_fade_in")
		print("Parameters[]")
		q_Environment.get_ssr_fade_in()

	if randi() % 2 == 0:
		print("Executing Environment.set_ssr_fade_out")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_ssr_fade_out(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_ssr_fade_out")
		print("Parameters[]")
		q_Environment.get_ssr_fade_out()

	if randi() % 2 == 0:
		print("Executing Environment.set_ssr_depth_tolerance")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_ssr_depth_tolerance(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_ssr_depth_tolerance")
		print("Parameters[]")
		q_Environment.get_ssr_depth_tolerance()

	if randi() % 2 == 0:
		print("Executing Environment.set_ssr_rough")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_ssr_rough(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.is_ssr_rough")
		print("Parameters[]")
		q_Environment.is_ssr_rough()

	if randi() % 2 == 0:
		print("Executing Environment.set_ssao_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_ssao_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.is_ssao_enabled")
		print("Parameters[]")
		q_Environment.is_ssao_enabled()

	if randi() % 2 == 0:
		print("Executing Environment.set_ssao_radius")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_ssao_radius(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_ssao_radius")
		print("Parameters[]")
		q_Environment.get_ssao_radius()

	if randi() % 2 == 0:
		print("Executing Environment.set_ssao_intensity")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_ssao_intensity(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_ssao_intensity")
		print("Parameters[]")
		q_Environment.get_ssao_intensity()

	if randi() % 2 == 0:
		print("Executing Environment.set_ssao_radius2")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_ssao_radius2(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_ssao_radius2")
		print("Parameters[]")
		q_Environment.get_ssao_radius2()

	if randi() % 2 == 0:
		print("Executing Environment.set_ssao_intensity2")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_ssao_intensity2(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_ssao_intensity2")
		print("Parameters[]")
		q_Environment.get_ssao_intensity2()

	if randi() % 2 == 0:
		print("Executing Environment.set_ssao_bias")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_ssao_bias(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_ssao_bias")
		print("Parameters[]")
		q_Environment.get_ssao_bias()

	if randi() % 2 == 0:
		print("Executing Environment.set_ssao_direct_light_affect")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_ssao_direct_light_affect(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_ssao_direct_light_affect")
		print("Parameters[]")
		q_Environment.get_ssao_direct_light_affect()

	if randi() % 2 == 0:
		print("Executing Environment.set_ssao_ao_channel_affect")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_ssao_ao_channel_affect(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_ssao_ao_channel_affect")
		print("Parameters[]")
		q_Environment.get_ssao_ao_channel_affect()

	if randi() % 2 == 0:
		print("Executing Environment.set_ssao_color")
		var variable1: Color = Color((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_ssao_color(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_ssao_color")
		print("Parameters[]")
		q_Environment.get_ssao_color()

	if randi() % 2 == 0:
		print("Executing Environment.set_ssao_blur")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_ssao_blur(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_ssao_blur")
		print("Parameters[]")
		q_Environment.get_ssao_blur()

	if randi() % 2 == 0:
		print("Executing Environment.set_ssao_quality")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_ssao_quality(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_ssao_quality")
		print("Parameters[]")
		q_Environment.get_ssao_quality()

	if randi() % 2 == 0:
		print("Executing Environment.set_ssao_edge_sharpness")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_ssao_edge_sharpness(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_ssao_edge_sharpness")
		print("Parameters[]")
		q_Environment.get_ssao_edge_sharpness()

	if randi() % 2 == 0:
		print("Executing Environment.set_dof_blur_far_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_dof_blur_far_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.is_dof_blur_far_enabled")
		print("Parameters[]")
		q_Environment.is_dof_blur_far_enabled()

	if randi() % 2 == 0:
		print("Executing Environment.set_dof_blur_far_distance")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_dof_blur_far_distance(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_dof_blur_far_distance")
		print("Parameters[]")
		q_Environment.get_dof_blur_far_distance()

	if randi() % 2 == 0:
		print("Executing Environment.set_dof_blur_far_transition")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_dof_blur_far_transition(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_dof_blur_far_transition")
		print("Parameters[]")
		q_Environment.get_dof_blur_far_transition()

	if randi() % 2 == 0:
		print("Executing Environment.set_dof_blur_far_amount")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_dof_blur_far_amount(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_dof_blur_far_amount")
		print("Parameters[]")
		q_Environment.get_dof_blur_far_amount()

	if randi() % 2 == 0:
		print("Executing Environment.set_dof_blur_far_quality")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_dof_blur_far_quality(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_dof_blur_far_quality")
		print("Parameters[]")
		q_Environment.get_dof_blur_far_quality()

	if randi() % 2 == 0:
		print("Executing Environment.set_dof_blur_near_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_dof_blur_near_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.is_dof_blur_near_enabled")
		print("Parameters[]")
		q_Environment.is_dof_blur_near_enabled()

	if randi() % 2 == 0:
		print("Executing Environment.set_dof_blur_near_distance")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_dof_blur_near_distance(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_dof_blur_near_distance")
		print("Parameters[]")
		q_Environment.get_dof_blur_near_distance()

	if randi() % 2 == 0:
		print("Executing Environment.set_dof_blur_near_transition")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_dof_blur_near_transition(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_dof_blur_near_transition")
		print("Parameters[]")
		q_Environment.get_dof_blur_near_transition()

	if randi() % 2 == 0:
		print("Executing Environment.set_dof_blur_near_amount")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_dof_blur_near_amount(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_dof_blur_near_amount")
		print("Parameters[]")
		q_Environment.get_dof_blur_near_amount()

	if randi() % 2 == 0:
		print("Executing Environment.set_dof_blur_near_quality")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_dof_blur_near_quality(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_dof_blur_near_quality")
		print("Parameters[]")
		q_Environment.get_dof_blur_near_quality()

	if randi() % 2 == 0:
		print("Executing Environment.set_glow_enabled")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_glow_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.is_glow_enabled")
		print("Parameters[]")
		q_Environment.is_glow_enabled()

	if randi() % 2 == 0:
		print("Executing Environment.set_glow_level")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_Environment.set_glow_level(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing Environment.is_glow_level_enabled")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.is_glow_level_enabled(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.set_glow_intensity")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_glow_intensity(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_glow_intensity")
		print("Parameters[]")
		q_Environment.get_glow_intensity()

	if randi() % 2 == 0:
		print("Executing Environment.set_glow_strength")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_glow_strength(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_glow_strength")
		print("Parameters[]")
		q_Environment.get_glow_strength()

	if randi() % 2 == 0:
		print("Executing Environment.set_glow_bloom")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_glow_bloom(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_glow_bloom")
		print("Parameters[]")
		q_Environment.get_glow_bloom()

	if randi() % 2 == 0:
		print("Executing Environment.set_glow_blend_mode")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_glow_blend_mode(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_glow_blend_mode")
		print("Parameters[]")
		q_Environment.get_glow_blend_mode()

	if randi() % 2 == 0:
		print("Executing Environment.set_glow_hdr_bleed_threshold")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_glow_hdr_bleed_threshold(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_glow_hdr_bleed_threshold")
		print("Parameters[]")
		q_Environment.get_glow_hdr_bleed_threshold()

	if randi() % 2 == 0:
		print("Executing Environment.set_glow_hdr_luminance_cap")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_glow_hdr_luminance_cap(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_glow_hdr_luminance_cap")
		print("Parameters[]")
		q_Environment.get_glow_hdr_luminance_cap()

	if randi() % 2 == 0:
		print("Executing Environment.set_glow_hdr_bleed_scale")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_glow_hdr_bleed_scale(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_glow_hdr_bleed_scale")
		print("Parameters[]")
		q_Environment.get_glow_hdr_bleed_scale()

	if randi() % 2 == 0:
		print("Executing Environment.set_glow_bicubic_upscale")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_glow_bicubic_upscale(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.is_glow_bicubic_upscale_enabled")
		print("Parameters[]")
		q_Environment.is_glow_bicubic_upscale_enabled()

	if randi() % 2 == 0:
		print("Executing Environment.set_adjustment_enable")
		var variable1: bool = bool(randi() % 2)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_adjustment_enable(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.is_adjustment_enabled")
		print("Parameters[]")
		q_Environment.is_adjustment_enabled()

	if randi() % 2 == 0:
		print("Executing Environment.set_adjustment_brightness")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_adjustment_brightness(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_adjustment_brightness")
		print("Parameters[]")
		q_Environment.get_adjustment_brightness()

	if randi() % 2 == 0:
		print("Executing Environment.set_adjustment_contrast")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_adjustment_contrast(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_adjustment_contrast")
		print("Parameters[]")
		q_Environment.get_adjustment_contrast()

	if randi() % 2 == 0:
		print("Executing Environment.set_adjustment_saturation")
		var variable1: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_adjustment_saturation(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_adjustment_saturation")
		print("Parameters[]")
		q_Environment.get_adjustment_saturation()

	if randi() % 2 == 0:
		print("Executing Environment.set_adjustment_color_correction")
		var variable1: StreamTexture = StreamTexture.new()
		print("Parameters[" + str(variable1) + "]")
		q_Environment.set_adjustment_color_correction(variable1)

	if randi() % 2 == 0:
		print("Executing Environment.get_adjustment_color_correction")
		print("Parameters[]")
		q_Environment.get_adjustment_color_correction()

	pass

