extends Node2D

var q_MeshLibrary : MeshLibrary = MeshLibrary.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_MeshLibrary = MeshLibrary.new()
	modify_object(q_MeshLibrary)

static func modify_object(q_MeshLibrary : MeshLibrary) -> void:
	if randi() % 2 == 0:
		print("Executing MeshLibrary.create_item")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_MeshLibrary.create_item(variable1)

	if randi() % 2 == 0:
		print("Executing MeshLibrary.set_item_name")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: String = str(randi() / 100)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_MeshLibrary.set_item_name(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing MeshLibrary.set_item_mesh")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: QuadMesh = QuadMesh.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_MeshLibrary.set_item_mesh(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing MeshLibrary.set_item_navmesh")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: NavigationMesh = NavigationMesh.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_MeshLibrary.set_item_navmesh(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing MeshLibrary.set_item_navmesh_transform")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Transform = Transform(Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized(), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)), Vector3((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_MeshLibrary.set_item_navmesh_transform(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing MeshLibrary.set_item_shapes")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: Array = []
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_MeshLibrary.set_item_shapes(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing MeshLibrary.set_item_preview")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: AnimatedTexture = AnimatedTexture.new()
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_MeshLibrary.set_item_preview(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing MeshLibrary.get_item_name")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_MeshLibrary.get_item_name(variable1)

	if randi() % 2 == 0:
		print("Executing MeshLibrary.get_item_mesh")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_MeshLibrary.get_item_mesh(variable1)

	if randi() % 2 == 0:
		print("Executing MeshLibrary.get_item_navmesh")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_MeshLibrary.get_item_navmesh(variable1)

	if randi() % 2 == 0:
		print("Executing MeshLibrary.get_item_navmesh_transform")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_MeshLibrary.get_item_navmesh_transform(variable1)

	if randi() % 2 == 0:
		print("Executing MeshLibrary.get_item_shapes")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_MeshLibrary.get_item_shapes(variable1)

	if randi() % 2 == 0:
		print("Executing MeshLibrary.get_item_preview")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_MeshLibrary.get_item_preview(variable1)

	if randi() % 2 == 0:
		print("Executing MeshLibrary.remove_item")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_MeshLibrary.remove_item(variable1)

	if randi() % 2 == 0:
		print("Executing MeshLibrary.find_item_by_name")
		var variable1: String = "."
		print("Parameters[" + str(variable1) + "]")
		q_MeshLibrary.find_item_by_name(variable1)

	if randi() % 2 == 0:
		print("Executing MeshLibrary.clear")
		print("Parameters[]")
		q_MeshLibrary.clear()

	if randi() % 2 == 0:
		print("Executing MeshLibrary.get_item_list")
		print("Parameters[]")
		q_MeshLibrary.get_item_list()

	if randi() % 2 == 0:
		print("Executing MeshLibrary.get_last_unused_item_id")
		print("Parameters[]")
		q_MeshLibrary.get_last_unused_item_id()

	pass

