extends Node2D

var q_PolygonPathFinder : PolygonPathFinder = PolygonPathFinder.new()

func _ready() -> void:
	if !is_visible():
		set_process(false)
		return

func _process(_delta : float) -> void:
	if randi() % 10 == 0:
		q_PolygonPathFinder = PolygonPathFinder.new()
	modify_object(q_PolygonPathFinder)

static func modify_object(q_PolygonPathFinder : PolygonPathFinder) -> void:
	if randi() % 2 == 0:
		print("Executing PolygonPathFinder.setup")
		var variable1: PoolVector2Array = PoolVector2Array([])
		var variable2: PoolIntArray = PoolIntArray([])
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_PolygonPathFinder.setup(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing PolygonPathFinder.find_path")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_PolygonPathFinder.find_path(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing PolygonPathFinder.get_intersections")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0)).normalized()
		var variable2: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_PolygonPathFinder.get_intersections(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing PolygonPathFinder.is_point_inside")
		var variable1: Vector2 = Vector2((randf() * 10) - (10 / 2.0), (randf() * 10) - (10 / 2.0))
		print("Parameters[" + str(variable1) + "]")
		q_PolygonPathFinder.is_point_inside(variable1)

	if randi() % 2 == 0:
		print("Executing PolygonPathFinder.set_point_penalty")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		var variable2: float = (randf() * 10) - (10 / 2.0)
		print("Parameters[" + str(variable1) + ", " + str(variable2) + "]")
		q_PolygonPathFinder.set_point_penalty(variable1, variable2)

	if randi() % 2 == 0:
		print("Executing PolygonPathFinder.get_point_penalty")
		var variable1: int = (randi() % int(10)) - int(10 / 2.0)
		print("Parameters[" + str(variable1) + "]")
		q_PolygonPathFinder.get_point_penalty(variable1)

	if randi() % 2 == 0:
		print("Executing PolygonPathFinder.get_bounds")
		print("Parameters[]")
		q_PolygonPathFinder.get_bounds()

	if randi() % 2 == 0:
		print("Executing PolygonPathFinder._set_data")
		var variable1: Dictionary = {}
		print("Parameters[" + str(variable1) + "]")
		q_PolygonPathFinder._set_data(variable1)

	if randi() % 2 == 0:
		print("Executing PolygonPathFinder._get_data")
		print("Parameters[]")
		q_PolygonPathFinder._get_data()

	pass

